const { log, LogLevel } = require("@peacockproject/core/loggingInterop")

const contracts = [
    {
        "Data": {
            "EnableExits": {
                "$eq": ["$5b1534ef-7848-440c-855a-d2635663dd72", "Completed"]
            },
            "Objectives": [
                {
                    "Id": "3512725f-619b-4bfa-a08a-9077dfbedb1a",
                    "Category": "primary",
                    "ForceShowOnLoadingScreen": true,
                    "ObjectiveType": "custom",
                    "CounterVisibleInTile": true,
                    "ExcludeFromScoring": true,
                    "Image": "images/ruddy/hawkeaido_militia.jpg",
                    "BriefingName": "$loc UI_CONTRACT_HAWK_Objective_Bodyguards",
                    "BriefingText": "Eliminate 12 Armed Militia Soldiers of your choosing\r",
                    "HUDTemplate": {
                        "display": "Eliminate 12 Militia Soldiers"
                    },
                    "Type": "statemachine",
                    "Scope": "hit",
                    "Definition": {
                        "Context": {
                            "AmountToPacify": 0,
                            "Targets": ["1e6be31a-a6f6-4b61-b7fa-6e37d4b69a2c", "8c5143d6-ac75-44a5-a67c-cd4cd4304e4a", "2458ad3d-1131-4dc8-a52b-101065b55f2c", "b8936aed-f498-403f-9167-d39ab02419b4", "0037cdef-80c5-40aa-85f8-1a28588ae954", "d0c2aa29-763e-45dc-a8fb-41d05322de9e", "0ec76339-0fd9-4c83-9368-f235b66b3fa0", "e82f3d7f-4e8c-452f-97ae-b0a413cd0d14", "0b6e8324-8118-40b4-b0b8-4d75d03ff37f", "e2196d59-c5fe-43e0-b7e8-508bde38cb67", "4e98437d-49e2-4cbd-a081-6c3f34c7797d", "e1363159-b0aa-40b5-bf01-a3ad41a5230d", "47c00c25-953a-45da-86e0-3fcdadea3487",  "77853169-4a3f-40de-90c3-e7b8fc09cc70", "020cded4-84d2-48f8-a593-a13b60574cf0", "3b1bffed-bbcf-446e-8824-5855f9df7714", "f0db3e8b-cf65-4c65-b607-f77284a0f644", "3663ff4d-c47d-4a5c-9de7-5d748449a6fd", "c04e1fe2-9227-4c86-9068-8ef098d89b57", "afbfb9f3-e629-44f4-bb6d-3537fb94898a", "dbebec2f-5a75-4713-bb08-c32f141bc9a5", "6d64c21b-1ae4-47a8-aceb-120cb68ae362", "dddfaa8a-b4bc-42b4-a0ce-c44b1d1af75a", "edf64cae-98b1-496e-8b13-31b8e65ccb7e", "6024f334-d840-4418-b3b0-12a2870150c4", "9a469cd6-0689-49af-86ea-1a2d7022a1e5", "f1408061-856f-4017-a922-b297d72d1fb0", "71d833e8-5f8d-4cd5-8dc8-48d5097f71e9", "a58ae30e-00ad-42ec-949d-1d6c5fe1bb47", "7762eb11-138c-4d5b-bf3c-f28921cfa0e0", "a64bf745-b51f-4fcf-b2cc-1f4a81bc4f9b", "77fea61d-7993-486c-a5d5-71a6e55d414c", "51a33b0d-8262-4efe-a62e-1e0f798535da", "a358c870-516f-4158-890d-63014b962455", "c8c6979e-2b8b-48cc-b405-7f1138b88e8c", "d37dbe48-0cd8-480d-9d61-28fe8057d3e1"],
                            "TargetsCounter": 12
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                    "Actions": {
                                        "$inc": "AmountToPacify",
                                        "$dec": "TargetsCounter"
                                    },
                                    "Condition": {
                                        "$and": [{
                                            "$inarray": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                }
                                            }
                                        }
                                        ]
                                    },
                                    "Transition": "CheckCount"
                                }, {
                                        "Condition": {
                                            "$or": [{
                                            "$eq": ["$Value.RepositoryId", "293579a3-b1d9-415a-ad3f-9f876892d9b1"]
                                        }, {
                                            "$eq": ["$Value.RepositoryId", "9d2423f0-3b7f-42c1-911d-bc3b0b22db6e"]
                                        }, {
                                            "$eq": ["$Value.RepositoryId", "9e85c891-9eb7-4f3c-8115-896bf54d979b"]
                                        }
                                    ]
                                    },
                                    "Transition": "Failure"
                                }
                            ]},
                            "CheckCount": {
                                "-": [{
                                        "Actions": {
                                            "$set": ["TargetsCounter", 0]
                                        },
                                        "Condition": {
                                            "$eq": ["$.AmountToPacify", 12]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    }
                },	{
                    "Id": "3512725f-619b-4bfa-a08a-9077dfbedb1e",
                    "Category": "primary",
                    "ObjectiveType": "custom",
                    "ExcludeFromScoring": true,
                    "Type": "statemachine",
                    "Scope": "hit",
                    "Definition": {
                        "ContextListeners": {
                            "TargetsCounter": {
                                "type": "objective-counter",
                                "header": "UI_CONTRACT_HAWK_Objective_Remaining",
                                "deactivate": -1
                            },
                            "ForceUpdateCounters": {
                                "type": "force-update",
                                "target": "TargetsCounter"
                            }
                        },
                        "Context": {
                            "AmountToPacify": 0,
                            "Targets": ["1e6be31a-a6f6-4b61-b7fa-6e37d4b69a2c", "8c5143d6-ac75-44a5-a67c-cd4cd4304e4a", "2458ad3d-1131-4dc8-a52b-101065b55f2c", "b8936aed-f498-403f-9167-d39ab02419b4", "0037cdef-80c5-40aa-85f8-1a28588ae954", "d0c2aa29-763e-45dc-a8fb-41d05322de9e", "0ec76339-0fd9-4c83-9368-f235b66b3fa0", "e82f3d7f-4e8c-452f-97ae-b0a413cd0d14", "0b6e8324-8118-40b4-b0b8-4d75d03ff37f", "e2196d59-c5fe-43e0-b7e8-508bde38cb67", "4e98437d-49e2-4cbd-a081-6c3f34c7797d", "e1363159-b0aa-40b5-bf01-a3ad41a5230d", "47c00c25-953a-45da-86e0-3fcdadea3487",  "77853169-4a3f-40de-90c3-e7b8fc09cc70", "020cded4-84d2-48f8-a593-a13b60574cf0", "3b1bffed-bbcf-446e-8824-5855f9df7714", "f0db3e8b-cf65-4c65-b607-f77284a0f644", "3663ff4d-c47d-4a5c-9de7-5d748449a6fd", "c04e1fe2-9227-4c86-9068-8ef098d89b57", "afbfb9f3-e629-44f4-bb6d-3537fb94898a", "dbebec2f-5a75-4713-bb08-c32f141bc9a5", "6d64c21b-1ae4-47a8-aceb-120cb68ae362", "dddfaa8a-b4bc-42b4-a0ce-c44b1d1af75a", "edf64cae-98b1-496e-8b13-31b8e65ccb7e", "6024f334-d840-4418-b3b0-12a2870150c4", "9a469cd6-0689-49af-86ea-1a2d7022a1e5", "f1408061-856f-4017-a922-b297d72d1fb0", "71d833e8-5f8d-4cd5-8dc8-48d5097f71e9", "a58ae30e-00ad-42ec-949d-1d6c5fe1bb47", "7762eb11-138c-4d5b-bf3c-f28921cfa0e0", "a64bf745-b51f-4fcf-b2cc-1f4a81bc4f9b", "77fea61d-7993-486c-a5d5-71a6e55d414c", "51a33b0d-8262-4efe-a62e-1e0f798535da", "a358c870-516f-4158-890d-63014b962455", "c8c6979e-2b8b-48cc-b405-7f1138b88e8c", "d37dbe48-0cd8-480d-9d61-28fe8057d3e1"],
                            "TargetsCounter": 12
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                    "Actions": {
                                        "$inc": "AmountToPacify",
                                        "$dec": "TargetsCounter"
                                    },
                                    "Condition": {
                                        "$and": [{
                                            "$inarray": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                }
                                            }
                                        }
                                        ]
                                    },
                                    "Transition": "CheckCount"
                                }, {
                                        "Condition": {
                                            "$or": [{
                                            "$eq": ["$Value.RepositoryId", "293579a3-b1d9-415a-ad3f-9f876892d9b1"]
                                        }, {
                                            "$eq": ["$Value.RepositoryId", "9d2423f0-3b7f-42c1-911d-bc3b0b22db6e"]
                                        }, {
                                            "$eq": ["$Value.RepositoryId", "9e85c891-9eb7-4f3c-8115-896bf54d979b"]
                                        }
                                    ]
                                    },
                                    "Transition": "Failure"
                                }
                            ]},
                            "CheckCount": {
                                "-": [{
                                        "Actions": {
                                            "$set": ["TargetsCounter", 0]
                                        },
                                        "Condition": {
                                            "$eq": ["$.AmountToPacify", 12]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    }
                },  {
                    "Id": "f9f212b8-71da-4489-98cf-cb242f36a9b9",
                    "ObjectiveType": "gamechanger",
                    "BriefingName": "Headshot Streak",
                    "ExcludeFromScoring": true,
                    "Category": "secondary",
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "HUDTemplate": {
                        "display": "Extra Challenge: Headshots Only",
                        "iconType": 11
                    },
                    "BriefingText": "Every Kill has been a headshot so far",
                    "Type": "statemachine",
                    "OnActive": {
                        "IfFailed": {
                            "Visible": false
                        }
                    },
                    "OnInactive": {
                        "IfFailed": {
                            "State": "Failed"
                        }
                    },
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "Targets": [],
                            "TargetsCounter": 0,
                            "Goal": 12
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.IsHeadshot", false]
                                        },
                                        "Transition": "Failure"
                                    },	{
                                         "Actions": {
                                        "$inc": "TargetsCounter"
                                    },	"Condition": {
                                            "$eq": ["$Value.IsHeadshot", true]
                                        },
                                        "Transition": "CheckCount"
                                    }
                                ]
                            },
                            "CheckCount": {
                                "-": [{
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", 12]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    }
                }, {
                    "Id": "f9f212b8-71da-4489-98cf-cb242f36a9b9",
                    "ObjectiveType": "gamechanger",
                    "BriefingName": "No Bodies Found",
                    "ExcludeFromScoring": true,
                    "Category": "secondary",
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "HUDTemplate": {
                        "display": "Extra Challenge: No Bodies Found",
                        "iconType": 11
                    },
                    "OnActive": {
                        "IfFailed": {
                            "Visible": false
                        }
                    },
                    "OnInactive": {
                        "IfFailed": {
                            "State": "Failed"
                        }
                    },
                    "BriefingText": "Bonus: Have no bodies found during the mission",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "States": {
                            "Start": {
                                "BodyFound": [{
                                        "Transition": "Failure"
                                    }
                                ],
                                "exit_gate": [{
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    }
                }, {
                    "Id": "5b1534ef-7848-440c-855a-d2635663dd72",
                    "Category": "primary",
                    "ForceShowOnLoadingScreen": true,
                    "ObjectiveType": "custom",
                    "ExcludeFromScoring": true,
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "BriefingName": "Score",
                    "BriefingText": "Get at least 90,000 points\r\r",
                    "LongBriefingText": "You must get a minimum of 90,000 points to complete the mission. You get extra points for headshots, moving kills, accident/explosion kills, and kill streaks",
                    "HUDTemplate": {
                        "display": "Get at least 90,000 points",
                        "iconType": 13
                    },
                    "Type": "statemachine",
                    "Scope": "session",
                    "CombinedDisplayInHud": true,
                    "Definition": {
                        "Context": {
                            "Score_Kill_Bodyshot": 500,
                            "Score_Kill_Streak": 500,
                            "Score_Kill_Streak_Successive": 500,
                            "Score_Kill_Headshot": 1500,
                            "Score_Kill_Headshot_Streak": 750,
                            "Score_Kill_Headshot_Streak_Successive": 750,
                            "Score_Kill_Headshot_Successive": 500,
                            "Score_Kill_Multi": 2000,
                            "Score_Kill_Multi_Successive": 2000,
                            "Score_Kill_Multi_Shot": 3000,
                            "Score_Kill_Multi_Shot_Successive": 3000,
                            "Score_Kill_Moving": 1500,
                            "Score_Kill_Moving_Successive": 1000,
                            "Score_Kill_Moving_Streak": 1000,
                            "Score_Kill_Moving_Streak_Successive": 1000,
                            "Score_Kill_Explosion": 4000,
                            "Score_Kill_Explosion_Successive": 2000,
                            "Score_Kill_Civilian": -3000,
                            "Score_Kill_Civilian_Successive": -500,
                            "Score_Kill_Accident": 5000,
                            "Score_Kill_Accident_Successive": 3000,
                            "Score_Kill_Distraction": 5000,
                            "Score_Kill_Distraction_Successive": 5000,
                            "Score_BodyHidden": 2000,
                            "Score_BodyHidden_Successive": 1000,
                            "Score_Bodyfound": -4000,
                            "Score_Bodyfound_Successive": -500,
                            "Targets": ["1e6be31a-a6f6-4b61-b7fa-6e37d4b69a2c", "8c5143d6-ac75-44a5-a67c-cd4cd4304e4a", "2458ad3d-1131-4dc8-a52b-101065b55f2c", "b8936aed-f498-403f-9167-d39ab02419b4", "0037cdef-80c5-40aa-85f8-1a28588ae954", "d0c2aa29-763e-45dc-a8fb-41d05322de9e", "0ec76339-0fd9-4c83-9368-f235b66b3fa0", "e82f3d7f-4e8c-452f-97ae-b0a413cd0d14", "0b6e8324-8118-40b4-b0b8-4d75d03ff37f", "e2196d59-c5fe-43e0-b7e8-508bde38cb67", "4e98437d-49e2-4cbd-a081-6c3f34c7797d", "e1363159-b0aa-40b5-bf01-a3ad41a5230d", "47c00c25-953a-45da-86e0-3fcdadea3487",  "77853169-4a3f-40de-90c3-e7b8fc09cc70", "020cded4-84d2-48f8-a593-a13b60574cf0", "3b1bffed-bbcf-446e-8824-5855f9df7714", "f0db3e8b-cf65-4c65-b607-f77284a0f644", "3663ff4d-c47d-4a5c-9de7-5d748449a6fd", "c04e1fe2-9227-4c86-9068-8ef098d89b57", "afbfb9f3-e629-44f4-bb6d-3537fb94898a", "dbebec2f-5a75-4713-bb08-c32f141bc9a5", "6d64c21b-1ae4-47a8-aceb-120cb68ae362", "dddfaa8a-b4bc-42b4-a0ce-c44b1d1af75a", "edf64cae-98b1-496e-8b13-31b8e65ccb7e", "6024f334-d840-4418-b3b0-12a2870150c4", "9a469cd6-0689-49af-86ea-1a2d7022a1e5", "f1408061-856f-4017-a922-b297d72d1fb0", "71d833e8-5f8d-4cd5-8dc8-48d5097f71e9", "a58ae30e-00ad-42ec-949d-1d6c5fe1bb47", "7762eb11-138c-4d5b-bf3c-f28921cfa0e0", "a64bf745-b51f-4fcf-b2cc-1f4a81bc4f9b", "77fea61d-7993-486c-a5d5-71a6e55d414c", "51a33b0d-8262-4efe-a62e-1e0f798535da", "a358c870-516f-4158-890d-63014b962455", "c8c6979e-2b8b-48cc-b405-7f1138b88e8c", "d37dbe48-0cd8-480d-9d61-28fe8057d3e1"],
                            "TotalScore": 0,
                            "Events": [],
                            "BulletsUsed": 0,
                            "HeadShot_Successive_Count": 0,
                            "HeadShot_Successive_CurrentScore": 0,
                            "HeadShot_CurrentScore": 0,
                            "HeadShot_Streak_Count": 0,
                            "HeadShot_Streak_Count_Temp": 0,
                            "HeadShot_Streak_CurrentScore": 0,
                            "Moving_Successive_Count": 0,
                            "Moving_Successive_CurrentScore": 0,
                            "Moving_CurrentScore": 0,
                            "Moving_Streak_Count": 0,
                            "Moving_Streak_Count_Temp": 0,
                            "Moving_Streak_CurrentScore": 0,
                            "Kill_Streak_Count": 0,
                            "Kill_Streak_Count_Temp": 0,
                            "Kill_Streak_CurrentScore": 0,
                            "Accident_Successive_Count": 0,
                            "Accident_Successive_CurrentScore": 0,
                            "Explosion_Successive_Count": 0,
                            "Explosion_Successive_CurrentScore": 0,
                            "BodyHidden_Successive_Count": 0,
                            "BodyHidden_Successive_CurrentScore": 0,
                            "BodyHidden_CurrentScore": 0,
                            "Bodyfound_Successive_Count": 0,
                            "Bodyfound_Successive_CurrentScore": 0,
                            "Bodyfound_CurrentScore": 0,
                            "CivilianKill_Successive_Count": 0,
                            "CivilianKill_Successive_CurrentScore": 0,
                            "CivilianKill_CurrentScore": 0,
                            "MultiKill_CurrentScore": 0,
                            "MultiKill_Shot_CurrentScore": 0,
                            "ReInitialiseTimer": 0,
                            "StreakTime": 8,
                            "PlayerId": -1,
                            "KilledActors": 0,
                            "FoundBodies" : []
                        },
                        "States": {
                            "Start": {
                                "-": [{
                                    "Condition": {
                                        "$and": [{
                                            "$eq": ["$.KilledActors", 12]
                                        },	{
                                            "$gt": ["$.TotalScore", 89999]
                                        }
                                    ]
                                    }, 
                                    "Transition": "Success"
                                }, {
                                "Condition": {
                                    "$and": [{
                                        "$eq": ["$.KilledActors", 12]
                                    },	{
                                        "$lt": ["$.TotalScore", 90000]
                                    }
                                ]
                            },
                            "Transition": "Countdown"
                            }
                        ],
                                "Kill": [{
                                        "Condition": {
                                            "$or": [{
                                                    "$and": [{
                                                            "$eq": ["$Value.IsHeadshot", false]
                                                        }, {
                                                            "$eq": ["$Value.IsTarget", true]
                                                        }, {
                                                            "$eq": ["$Value.Projectile", true]
                                                        }
                                                    ]
                                                }, {
                                                    "$and": [{
                                                            "$eq": ["$Value.IsHeadshot", false]
                                                        }, {
                                                            "$eq": ["$Value.IsTarget", true]
                                                        }, {
                                                            "$eq": ["$Value.ExplosionType", 2]
                                                        }
                                                    ]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                            "$inc": ["TotalScore", "$.Score_Kill_Bodyshot"],
                                            "$push": ["Events", {
                                                    "Type": "ScoreEvent_BODYSHOT",
                                                    "Points": "$.Score_Kill_Bodyshot"
                                                }
                                            ]
                                        }]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.IsHeadshot", true]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Headshot_Successive", "$.HeadShot_Successive_Count", "HeadShot_Successive_CurrentScore"],
                                                "$inc": "HeadShot_Successive_Count"
                                            }, {
                                                "$set": ["HeadShot_CurrentScore", "$.Score_Kill_Headshot"],
                                                "$inc": ["HeadShot_CurrentScore", "$.HeadShot_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.HeadShot_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_HEADSHOT",
                                                        "Points": "$.HeadShot_CurrentScore"
                                                    }
                                                ]
                                            }, {
                                                "$inc": "HeadShot_Streak_Count"
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.IsMoving", true]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Moving_Successive", "$.Moving_Successive_Count", "Moving_Successive_CurrentScore"],
                                                "$inc": "Moving_Successive_Count"
                                            }, {
                                                "$set": ["Moving_CurrentScore", "$.Score_Kill_Moving"],
                                                "$inc": ["Moving_CurrentScore", "$.Moving_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.Moving_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_MOVINGKILL",
                                                        "Points": "$.Moving_CurrentScore"
                                                    }
                                                ]
                                            }, {
                                                "$inc": "Moving_Streak_Count"
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.ExplosionType", 1]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Explosion_Successive", "$.Explosion_Successive_Count", "Explosion_Successive_CurrentScore"],
                                                "$inc": "Explosion_Successive_Count"
                                            }, {
                                                "$set": ["Explosion_CurrentScore", "$.Score_Kill_Explosion"],
                                                "$inc": ["Explosion_CurrentScore", "$.Explosion_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.Explosion_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_EXPLOSIONKILL",
                                                        "Points": "$.Explosion_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.Accident", true]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }, {
                                                    "$eq": ["$Value.Explosive", false]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Accident_Successive", "$.Accident_Successive_Count", "Accident_Successive_CurrentScore"],
                                                "$inc": "Accident_Successive_Count"
                                            }, {
                                                "$set": ["Accident_CurrentScore", "$.Score_Kill_Accident"],
                                                "$inc": ["Accident_CurrentScore", "$.Accident_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.Accident_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_ENVIRONMENTKILL",
                                                        "Points": "$.Accident_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.IsTarget", false]
                                                }, {
                                                    "$not": {
                                                        "$eq": ["$Value.KillContext", 1]
                                                    }
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Civilian_Successive", "$.CivilianKill_Successive_Count", "CivilianKill_Successive_CurrentScore"],
                                                "$inc": "CivilianKill_Successive_Count"
                                            }, {
                                                "$set": ["CivilianKill_CurrentScore", "$.Score_Kill_Civilian"],
                                                "$inc": ["CivilianKill_CurrentScore", "$.CivilianKill_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.CivilianKill_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_CIVILIANKILL",
                                                        "Points": "$.CivilianKill_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$eq": ["$Value.IsTarget", true]
                                        },
                                        "Actions": [{
                                            "$inc": "Kill_Streak_Count"
                                        },  {
                                            "$inc": ["KilledActors", 1]
                                        }],
                                        "Transition": "State_Kill_Streak"
                                    }
                                ],
                                "CrowdNPC_Died": [{
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Civilian_Successive", "$.CivilianKill_Successive_Count", "CivilianKill_Successive_CurrentScore"],
                                                "$inc": "CivilianKill_Successive_Count"
                                            }, {
                                                "$set": ["CivilianKill_CurrentScore", "$.Score_Kill_Civilian"],
                                                "$inc": ["CivilianKill_CurrentScore", "$.CivilianKill_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.CivilianKill_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_CIVILIANKILL",
                                                        "Points": "$.CivilianKill_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }
                                ],
                                "BodyFound": [{
                                        "Actions": [{
                                            "$mul": ["Score_Bodyfound_Successive", "$.Bodyfound_Successive_Count", "Bodyfound_Successive_CurrentScore"],
                                            "$inc": "Bodyfound_Successive_Count"
                                        }, {
                                            "$set": ["Bodyfound_CurrentScore", "$.Score_Bodyfound"],
                                            "$inc": ["Bodyfound_CurrentScore", "$.Bodyfound_Successive_CurrentScore"]
                                        }, {
                                            "$pushunique": ["FoundBodies", "$Value.RepositoryId"],    
                                            "$inc": ["TotalScore", "$.Bodyfound_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_BODYFOUND",
                                                        "Points": "$.Bodyfound_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ],
                                        "Condition": {
                                            "$and": [{
                                            "$not": {
                                                    "$inarray": {
                                                        "in": "$.FoundBodies",
                                                        "?": {
                                                            "$eq": ["$.#", "$Value.RepositoryId"]
                                                        }
                                                    }
                                                }
                                            }
                                        ]
                                    }
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                            "$inarray": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                }
                                            }
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_BodyHidden_Successive", "$.BodyHidden_Successive_Count", "BodyHidden_Successive_CurrentScore"],
                                                "$inc": "BodyHidden_Successive_Count"
                                            }, {
                                                "$set": ["BodyHidden_CurrentScore", "$.Score_BodyHidden"],
                                                "$inc": ["BodyHidden_CurrentScore", "$.BodyHidden_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.BodyHidden_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_BODYHIDDEN",
                                                        "Points": "$.BodyHidden_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }
                                ]
                            },
                            "Countdown": {
                                "$timer": {
                                    "Condition": {
                                        "$after": 5
                                    },
                                    "Transition": "Failure"
                                }
                            },
                            "State_Kill_Streak_ResetTimer": {
                                "-": [{
                                        "Transition": "State_Kill_Streak"
                                    },  {
                                        "Condition": {
                                            "$and": [{
                                                "$eq": ["$.KilledActors", 12]
                                            },	{
                                                "$gt": ["$.TotalScore", 89999]
                                            }
                                        ]
                                        }, 
                                        "Transition": "Success"
                                    }, {
                                    "Condition": {
                                        "$and": [{
                                            "$eq": ["$.KilledActors", 12]
                                        },	{
                                            "$lt": ["$.TotalScore", 90000]
                                        }
                                    ]
                                },
                                "Transition": "Countdown"
                                }
                                ]
                                
                            },
                            "State_Kill_Streak": {
                                "-": [
                                    {
                                        "$push": ["Events", {
                                                "Type": "ScoreEvent_StreakStarted"
                                            }
                                        ]
                                    },  {
                                        "Condition": {
                                            "$and": [{
                                                "$eq": ["$.KilledActors", 12]
                                            },	{
                                                "$gt": ["$.TotalScore", 89999]
                                            }
                                        ]
                                        }, 
                                        "Transition": "Success"
                                    }, {
                                    "Condition": {
                                        "$and": [{
                                            "$eq": ["$.KilledActors", 12]
                                        },	{
                                            "$lt": ["$.TotalScore", 90000]
                                        }
                                    ]
                                },
                                "Transition": "Countdown"
                                }
                                ],
                                "MissedShot": [{
                                        "Transition": "Start"
                                    }
                                ],
                                "MultiShotKillTargets": [
                                    {
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Multi_Shot", "$Value.KillCount", "MultiKill_Shot_CurrentScore"]
                                            }, {
                                                "$mul": ["MultiKill_Shot_CurrentScore", "$Value.KillCount"]
                                            }, {
                                                "$inc": ["TotalScore", "$.MultiKill_Shot_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_MULTISHOTKILL",
                                                        "Points": "$.MultiKill_Shot_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }
                                ],
                                "MultiKillTargets": [
                                    {
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Multi", "$Value.KillCount", "MultiKill_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.MultiKill_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_MULTIKILL",
                                                        "Points": "$.MultiKill_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }
                                ],
                                "Kill": [{
                                        "Condition": {
                                            "$or": [{
                                                    "$and": [{
                                                            "$eq": ["$Value.IsHeadshot", false]
                                                        }, {
                                                            "$eq": ["$Value.IsTarget", true]
                                                        }, {
                                                            "$eq": ["$Value.Projectile", true]
                                                        }
                                                    ]
                                                }, {
                                                    "$and": [{
                                                            "$eq": ["$Value.IsHeadshot", false]
                                                        }, {
                                                            "$eq": ["$Value.IsTarget", true]
                                                        }, {
                                                            "$eq": ["$Value.ExplosionType", 2]
                                                        }
                                                    ]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                            "$inc": ["TotalScore", "$.Score_Kill_Bodyshot"],
                                            "$push": ["Events", {
                                                    "Type": "ScoreEvent_BODYSHOT",
                                                    "Points": "$.Score_Kill_Bodyshot"
                                                }
                                            ]
                                        }]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.IsHeadshot", true]
                                                }, {
                                                    "$eq": ["$Value.IsMoving", true]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Headshot_Successive", "$.HeadShot_Successive_Count", "HeadShot_Successive_CurrentScore"],
                                                "$inc": "HeadShot_Successive_Count"
                                            }, {
                                                "$set": ["HeadShot_CurrentScore", "$.Score_Kill_Headshot"],
                                                "$inc": ["HeadShot_CurrentScore", "$.HeadShot_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.HeadShot_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_HEADSHOT",
                                                        "Points": "$.HeadShot_CurrentScore"
                                                    }
                                                ]
                                            }, {
                                                "$mul": ["Score_Kill_Moving_Successive", "$.Moving_Successive_Count", "Moving_Successive_CurrentScore"],
                                                "$inc": "Moving_Successive_Count"
                                            }, {
                                                "$set": ["Moving_CurrentScore", "$.Score_Kill_Moving"],
                                                "$inc": ["Moving_CurrentScore", "$.Moving_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.Moving_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_MOVINGKILL",
                                                        "Points": "$.Moving_CurrentScore"
                                                    }
                                                ]
                                            }, {
                                                "$inc": "Moving_Streak_Count"
                                            }, {
                                                "$inc": "HeadShot_Streak_Count"
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.IsHeadshot", true]
                                                }, {
                                                    "$eq": ["$Value.IsMoving", false]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Headshot_Successive", "$.HeadShot_Successive_Count", "HeadShot_Successive_CurrentScore"],
                                                "$inc": "HeadShot_Successive_Count"
                                            }, {
                                                "$set": ["HeadShot_CurrentScore", "$.Score_Kill_Headshot"],
                                                "$inc": ["HeadShot_CurrentScore", "$.HeadShot_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.HeadShot_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_HEADSHOT",
                                                        "Points": "$.HeadShot_CurrentScore"
                                                    }
                                                ]
                                            }, {
                                                "$inc": "HeadShot_Streak_Count"
                                            }, {
                                                "$set": ["Moving_Streak_Count", 0]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.IsHeadshot", false]
                                                }, {
                                                    "$eq": ["$Value.IsMoving", true]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Moving_Successive", "$.Moving_Successive_Count", "Moving_Successive_CurrentScore"],
                                                "$inc": "Moving_Successive_Count"
                                            }, {
                                                "$set": ["Moving_CurrentScore", "$.Score_Kill_Moving"],
                                                "$inc": ["Moving_CurrentScore", "$.Moving_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.Moving_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_MOVINGKILL",
                                                        "Points": "$.Moving_CurrentScore"
                                                    }
                                                ]
                                            }, {
                                                "$inc": "Moving_Streak_Count"
                                            }, {
                                                "$set": ["HeadShot_Streak_Count", 0]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.ExplosionType", 1]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Explosion_Successive", "$.Explosion_Successive_Count", "Explosion_Successive_CurrentScore"],
                                                "$inc": "Explosion_Successive_Count"
                                            }, {
                                                "$set": ["Explosion_CurrentScore", "$.Score_Kill_Explosion"],
                                                "$inc": ["Explosion_CurrentScore", "$.Explosion_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.Explosion_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_EXPLOSIONKILL",
                                                        "Points": "$.Explosion_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.Accident", true]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }, {
                                                    "$eq": ["$Value.Explosive", false]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Accident_Successive", "$.Accident_Successive_Count", "Accident_Successive_CurrentScore"],
                                                "$inc": "Accident_Successive_Count"
                                            }, {
                                                "$set": ["Accident_CurrentScore", "$.Score_Kill_Accident"],
                                                "$inc": ["Accident_CurrentScore", "$.Accident_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.Accident_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_ENVIRONMENTKILL",
                                                        "Points": "$.Accident_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.IsTarget", false]
                                                }, {
                                                    "$not": {
                                                        "$eq": ["$Value.KillContext", 1]
                                                    }
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Civilian_Successive", "$.CivilianKill_Successive_Count", "CivilianKill_Successive_CurrentScore"],
                                                "$inc": "CivilianKill_Successive_Count"
                                            }, {
                                                "$set": ["CivilianKill_CurrentScore", "$.Score_Kill_Civilian"],
                                                "$inc": ["CivilianKill_CurrentScore", "$.CivilianKill_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.CivilianKill_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_CIVILIANKILL",
                                                        "Points": "$.CivilianKill_CurrentScore"
                                                    }
                                                ]
                                            }, {
                                                "$set": ["HeadShot_Streak_Count", 0]
                                            }, {
                                                "$set": ["Moving_Streak_Count", 0]
                                            }, {
                                                "$set": ["Kill_Streak_Count", 0]
                                            }
                                        ],
                                        "Transition": "Start"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$Value.IsTarget", true]
                                        },
                                        "Actions": [{
                                            "$inc": "Kill_Streak_Count",
                                            "$set": ["ReInitialiseTimer", 1]
                                        },  {
                                            "$inc": ["KilledActors", 1]
                                        }]
                                    }, {
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.IsHeadshot", false]
                                                }, {
                                                    "$eq": ["$Value.IsMoving", false]
                                                }, {
                                                    "$eq": ["$Value.IsTarget", true]
                                                }
                                            ]
                                        },
                                        "Actions": [{
                                                "$set": ["HeadShot_Streak_Count", 0]
                                            }, {
                                                "$set": ["Moving_Streak_Count", 0]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$ge": ["$.HeadShot_Streak_Count", 2]
                                        },
                                        "Actions": [{
                                                "$set": ["HeadShot_Streak_Count_Temp", "$.HeadShot_Streak_Count"],
                                                "$dec": "HeadShot_Streak_Count_Temp",
                                                "$mul": ["Score_Kill_Headshot_Streak_Successive", "$.HeadShot_Streak_Count_Temp", "HeadShot_Streak_CurrentScore"],
                                                "$inc": ["TotalScore", "$.HeadShot_Streak_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_HEADSHOTSTREAK",
                                                        "Points": "$.HeadShot_Streak_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$ge": ["$.Moving_Streak_Count", 2]
                                        },
                                        "Actions": [{
                                                "$set": ["Moving_Streak_Count_Temp", "$.Moving_Streak_Count"],
                                                "$dec": "Moving_Streak_Count_Temp",
                                                "$mul": ["Score_Kill_Moving_Streak_Successive", "$.Moving_Streak_Count_Temp", "Moving_Streak_CurrentScore"],
                                                "$inc": ["TotalScore", "$.Moving_Streak_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_MOVINGSTREAK",
                                                        "Points": "$.Moving_Streak_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$ge": ["$.Kill_Streak_Count", 2]
                                        },
                                        "Actions": [{
                                                "$set": ["Kill_Streak_Count_Temp", "$.Kill_Streak_Count"],
                                                "$dec": "Kill_Streak_Count_Temp",
                                                "$mul": ["Score_Kill_Streak_Successive", "$.Kill_Streak_Count_Temp", "Kill_Streak_CurrentScore"],
                                                "$inc": ["TotalScore", "$.Kill_Streak_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_KILLSTREAK",
                                                        "Points": "$.Kill_Streak_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.ReInitialiseTimer", 1]
                                        },
                                        "Actions": {
                                            "$set": ["ReInitialiseTimer", 0]
                                        },
                                        "Transition": "State_Kill_Streak_ResetTimer"
                                    }
                                ],
                                "$timer": [{
                                        "Condition": {
                                            "$after": "$.StreakTime"
                                        },
                                        "Actions": [{
                                                "$set": ["HeadShot_Streak_Count", 0]
                                            }, {
                                                "$set": ["Moving_Streak_Count", 0]
                                            }, {
                                                "$set": ["Kill_Streak_Count", 0]
                                            }
                                        ],
                                        "Transition": "Start"
                                    }
                                ],
                                "CrowdNPC_Died": [{
                                        "Actions": [{
                                                "$mul": ["Score_Kill_Civilian_Successive", "$.CivilianKill_Successive_Count", "CivilianKill_Successive_CurrentScore"],
                                                "$inc": "CivilianKill_Successive_Count"
                                            }, {
                                                "$set": ["CivilianKill_CurrentScore", "$.Score_Kill_Civilian"],
                                                "$inc": ["CivilianKill_CurrentScore", "$.CivilianKill_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.CivilianKill_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_CIVILIANKILL",
                                                        "Points": "$.CivilianKill_CurrentScore"
                                                    }
                                                ]
                                            }, {
                                                "$set": ["HeadShot_Streak_Count", 0]
                                            }, {
                                                "$set": ["Moving_Streak_Count", 0]
                                            }, {
                                                "$set": ["Kill_Streak_Count", 0]
                                            }
                                        ],
                                        "Transition": "Start"
                                    }
                                ],
                                "BodyFound": [{
                                    "Actions": [{
                                        "$mul": ["Score_Bodyfound_Successive", "$.Bodyfound_Successive_Count", "Bodyfound_Successive_CurrentScore"],
                                        "$inc": "Bodyfound_Successive_Count"
                                    }, {
                                        "$set": ["Bodyfound_CurrentScore", "$.Score_Bodyfound"],
                                        "$inc": ["Bodyfound_CurrentScore", "$.Bodyfound_Successive_CurrentScore"]
                                    }, {
                                        "$pushunique": ["FoundBodies", "$Value.RepositoryId"],    
                                        "$inc": ["TotalScore", "$.Bodyfound_CurrentScore"],
                                            "$push": ["Events", {
                                                    "Type": "ScoreEvent_BODYFOUND",
                                                    "Points": "$.Bodyfound_CurrentScore"
                                                }
                                            ]
                                        }
                                    ],
                                    "Condition": {
                                        "$and": [{
                                        "$not": {
                                                "$inarray": {
                                                    "in": "$.FoundBodies",
                                                    "?": {
                                                        "$eq": ["$.#", "$Value.RepositoryId"]
                                                    }
                                                }
                                            }
                                        }
                                    ]
                                }
                                }
                            ],
                                "BodyHidden": [{
                                        "Condition": {
                                            "$inarray": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                }
                                            }
                                        },
                                        "Actions": [{
                                                "$mul": ["Score_BodyHidden_Successive", "$.BodyHidden_Successive_Count", "BodyHidden_Successive_CurrentScore"],
                                                "$inc": "BodyHidden_Successive_Count"
                                            }, {
                                                "$set": ["BodyHidden_CurrentScore", "$.Score_BodyHidden"],
                                                "$inc": ["BodyHidden_CurrentScore", "$.BodyHidden_Successive_CurrentScore"]
                                            }, {
                                                "$inc": ["TotalScore", "$.BodyHidden_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_BODYHIDDEN",
                                                        "Points": "$.BodyHidden_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ]
                                    }
                                ]
                            }
                        }
                    }
            }, {
                    "Type": "statemachine",
                    "Id": "0f6add0d-f110-41a3-b50d-428c8aa9b313",
                    "ObjectiveType": "custom",
                    "Category": "primary",
                    "Exits": ["948e490e-9315-4bb0-ab2e-178ec9329aef"],
                    "BriefingName": "$loc UI_CONTRACT_UGC_REQUIRED_EXIT_NAME",
                    "BriefingText": "$loc UI_CONTRACT_UGC_REQUIRED_EXIT_DESC",
                    "LongBriefingText": "$loc UI_CONTRACT_UGC_REQUIRED_EXIT_DESC",
                    "HUDTemplate": {
                        "display": "$loc $loc UI_CONTRACT_UGC_REQUIRED_EXIT_DESC"
                    },
                    "Image": "images/contractconditions/condition_contrac_required_exit.jpg",
                    "ShowInHud": false,
                    "ExcludeFromScoring": true,
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "Exited": false
                        },
                        "States": {
                            "Start": {
                                "-": [{
                                        "Transition": "Success"
                                    }
                                ]
                            },
                            "Success": {
                                "exit_gate": [{
                                        "Actions": {
                                            "$set": ["Exited", true]
                                        }
                                    }
                                ],
                                "ExitDisabled": [{
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value", "d18218c4-5433-4905-8cd3-2a85014936e2"]
                                                }, {
                                                    "$eq": ["$.Exited", false]
                                                }
                                            ]
                                        },
                                        "Transition": "Failure"
                                    }
                                ]
                            }
                        }
                    },
                    "OnActive": {
                        "IfFailed": {
                            "Visible": false
                        },
                        "IfCompleted": {
                            "Visible": false
                        }
                    }
                }, 	{
                    "Type": "statemachine",
                    "Id": "1a596216-381e-4592-9798-26f156973942",
                    "ObjectiveType": "custom",
                    "Category": "primary",
                    "ExcludeFromScoring": true,
                    "BriefingName": "$loc UI_CONTRACT_UGC_TIME_LIMIT_NAME",
                    "BriefingText": {
                        "$loc": {
                            "key": "UI_CONTRACT_UGC_TIME_LIMIT_SECONDARY_DESC",
                            "data": "$formatstring 07:00"
                        }
                    },
                    "LongBriefingText": {
                        "$loc": {
                            "key": "UI_CONTRACT_UGC_TIME_LIMIT_SECONDARY_DESC",
                            "data": "$formatstring 07:00"
                        }
                    },
                    "HUDTemplate": {
                        "display": {
                            "$loc": {
                                "key": "UI_CONTRACT_UGC_TIME_LIMIT_SECONDARY_DESC",
                                "data": "$formatstring 07:00"
                            }
                        }
                    },
                    "Image": "images/contractconditions/condition_contrac_time_limit.jpg",
                    "CombinedDisplayInHud": true,
                    "Definition": {
                        "Scope": "session",
                        "States": {
                            "Start": {
                                "IntroCutEnd": [{
                                        "Transition": "TimerRunning"
                                    }
                                ]
                            },
                            "TimerRunning": {
                                "exit_gate": [{
                                        "Transition": "Success"
                                    }
                                ],
                                "$timer": [{
                                        "Condition": {
                                            "$after": 420.751
                                        },
                                        "Transition": "Failure"
                                    }
                                ]
                            }
                        }
                    }
                }
          ],
          "GameDifficulties": [{
            "Difficulty": "easy",
            "Bricks": ["assembly:/_pro/scenes/missions/sheep/difficulty_easy_newzealand_snipe.brick"]
        }, {
            "Difficulty": "normal",
            "Bricks": ["assembly:/_pro/scenes/missions/sheep/tod_midday.brick"]
        }, {
            "Difficulty": "hard",
            "Bricks": []
        }
    ],
          "Bricks": ["assembly:/_pro/scenes/missions/sheep/override_skipintro.brick", "assembly:/_pro/scenes/bricks/ui_sniper.brick"],
          "GameChangers": [],
          "GameChangerReferences": [],
          "Stashpoints": [],
          "Entrances": ["237e7963-574a-48c8-8d8a-e415b30f5642"],
          "EnableSaving": false
        },
            "Metadata": {
                "Id": "c55019e5-43a8-4a33-8a2a-84c750a5eeb4",
                "IsPublished": true,
                "Title": "UI_SAHAWKE",
                "Description": "DESC_HAWKEAIDO",
                "CodeName_Hint": "The Administrator",
                "ScenePath": "assembly:/_pro/scenes/missions/hokkaido/_scene_hawkesnipe.entity",
                "TileImage": "images/ruddy/hawkeaido.jpg",
                "Location": "LOCATION_NEWZEALAND",
                "LastUpdate": "2015-03-10T12:00:00.441Z",
                "CreationTimestamp": "2012-12-12T12:12:12.743Z",
                "CreatorUserId": "00000000-0000-0000-0000-000000000000",
                "Type": "flashback",
                "Subtype": "flashback",
                "Release": "1.13.x",
                "Entitlements": ["H2_LEGACY_STANDARD"],
                "Modules": [
                    {
                    "Type": "sniper.scoring.timebonus",
                    "score": 50000,
                    "maxtime": 3.5
                }, {
                    "Type": "sniper.scoring.silentassassin",
                    "score": 50000,
                    "multiplier": 2.0
                }, {
                    "Type": "sniper.scoring.bulletsused",
                    "penalty": 0.0
                }, {
                    "Type": "sniper.scoring.challenges",
                    "Unlockables": []
                }, {
                    "Type": "sniper.scoring",
                    "ScoringDefinitions": [{
                            "ContextListeners": {},
                            "Constants": {
                                "Score_Kill_Bodyshot": 500,
                                "Score_Kill_Streak": 500,
                                "Score_Kill_Streak_Successive": 500,
                                "Score_Kill_Headshot": 1500,
                                "Score_Kill_Headshot_Streak": 750,
                                "Score_Kill_Headshot_Streak_Successive": 750,
                                "Score_Kill_Headshot_Successive": 500,
                                "Score_Kill_Multi": 2000,
                                "Score_Kill_Multi_Successive": 2000,
                                "Score_Kill_Multi_Shot": 3000,
                                "Score_Kill_Multi_Shot_Successive": 3000,
                                "Score_Kill_Moving": 1500,
                                "Score_Kill_Moving_Successive": 1000,
                                "Score_Kill_Moving_Streak": 1000,
                                "Score_Kill_Moving_Streak_Successive": 1000,
                                "Score_Kill_Explosion": 4000,
                                "Score_Kill_Explosion_Successive": 2000,
                                "Score_Kill_Civilian": -3000,
                                "Score_Kill_Civilian_Successive": -500,
                                "Score_Kill_Accident": 5000,
                                "Score_Kill_Accident_Successive": 3000,
                                "Score_Kill_Distraction": 5000,
                                "Score_Kill_Distraction_Successive": 5000,
                                "Score_BodyHidden": 2000,
                                "Score_BodyHidden_Successive": 1000,
                                "Score_Bodyfound": -4000,
                                "Score_Bodyfound_Successive": -500,
                                "Targets": ["1e6be31a-a6f6-4b61-b7fa-6e37d4b69a2c", "8c5143d6-ac75-44a5-a67c-cd4cd4304e4a", "2458ad3d-1131-4dc8-a52b-101065b55f2c", "b8936aed-f498-403f-9167-d39ab02419b4", "0037cdef-80c5-40aa-85f8-1a28588ae954", "d0c2aa29-763e-45dc-a8fb-41d05322de9e", "0ec76339-0fd9-4c83-9368-f235b66b3fa0", "e82f3d7f-4e8c-452f-97ae-b0a413cd0d14", "0b6e8324-8118-40b4-b0b8-4d75d03ff37f", "e2196d59-c5fe-43e0-b7e8-508bde38cb67", "4e98437d-49e2-4cbd-a081-6c3f34c7797d", "e1363159-b0aa-40b5-bf01-a3ad41a5230d", "47c00c25-953a-45da-86e0-3fcdadea3487",  "77853169-4a3f-40de-90c3-e7b8fc09cc70", "020cded4-84d2-48f8-a593-a13b60574cf0", "3b1bffed-bbcf-446e-8824-5855f9df7714", "f0db3e8b-cf65-4c65-b607-f77284a0f644", "3663ff4d-c47d-4a5c-9de7-5d748449a6fd", "c04e1fe2-9227-4c86-9068-8ef098d89b57", "afbfb9f3-e629-44f4-bb6d-3537fb94898a", "dbebec2f-5a75-4713-bb08-c32f141bc9a5", "6d64c21b-1ae4-47a8-aceb-120cb68ae362", "dddfaa8a-b4bc-42b4-a0ce-c44b1d1af75a", "edf64cae-98b1-496e-8b13-31b8e65ccb7e", "6024f334-d840-4418-b3b0-12a2870150c4", "9a469cd6-0689-49af-86ea-1a2d7022a1e5", "f1408061-856f-4017-a922-b297d72d1fb0", "71d833e8-5f8d-4cd5-8dc8-48d5097f71e9", "a58ae30e-00ad-42ec-949d-1d6c5fe1bb47", "7762eb11-138c-4d5b-bf3c-f28921cfa0e0", "a64bf745-b51f-4fcf-b2cc-1f4a81bc4f9b", "77fea61d-7993-486c-a5d5-71a6e55d414c", "51a33b0d-8262-4efe-a62e-1e0f798535da", "a358c870-516f-4158-890d-63014b962455", "c8c6979e-2b8b-48cc-b405-7f1138b88e8c", "d37dbe48-0cd8-480d-9d61-28fe8057d3e1"]
                            },
                            "ScoreEvents": {
                                "ScoreEvent_BODYSHOT": {
                                    "type": 0,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_BODYSHOT"
                                },
                                "ScoreEvent_HEADSHOT": {
                                    "type": 1,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_HEADSHOT"
                                },
                                "ScoreEvent_MOVINGKILL": {
                                    "type": 2,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_MOVINGKILL"
                                },
                                "ScoreEvent_CIVILIANKILL": {
                                    "type": 3,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_CIVILIANKILL"
                                },
                                "ScoreEvent_BODYFOUND": {
                                    "type": 3,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_BODYFOUND"
                                },
                                "ScoreEvent_EXPLOSIONKILL": {
                                    "type": 4,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_EXPLOSIONKILL"
                                },
                                "ScoreEvent_ENVIRONMENTKILL": {
                                    "type": 5,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_ENVIRONMENTKILL"
                                },
                                "ScoreEvent_BODYHIDDEN": {
                                    "type": 6,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_BODYHIDDEN"
                                },
                                "ScoreEvent_HEADSHOTSTREAK": {
                                    "type": 7,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_HEADSHOTSTREAK"
                                },
                                "ScoreEvent_MOVINGSTREAK": {
                                    "type": 8,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_MOVINGSTREAK"
                                },
                                "ScoreEvent_KILLSTREAK": {
                                    "type": 9,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_KILLSTREAK"
                                },
                                "ScoreEvent_MULTISHOTKILL": {
                                    "type": 10,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_MULTISHOTKILL"
                                },
                                "ScoreEvent_MULTIKILL": {
                                    "type": 11,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_MULTIKILL"
                                },
                                "ScoreEvent_StreakStarted": {
                                    "type": 12,
                                    "text": ""
                                }
                            },
                            "Context": {
                                "TotalScore": 0,
                                "Events": [],
                                "BulletsUsed": 0,
                                "HeadShot_Successive_Count": 0,
                                "HeadShot_Successive_CurrentScore": 0,
                                "HeadShot_CurrentScore": 0,
                                "HeadShot_Streak_Count": 0,
                                "HeadShot_Streak_Count_Temp": 0,
                                "HeadShot_Streak_CurrentScore": 0,
                                "Moving_Successive_Count": 0,
                                "Moving_Successive_CurrentScore": 0,
                                "Moving_CurrentScore": 0,
                                "Moving_Streak_Count": 0,
                                "Moving_Streak_Count_Temp": 0,
                                "Moving_Streak_CurrentScore": 0,
                                "Kill_Streak_Count": 0,
                                "Kill_Streak_Count_Temp": 0,
                                "Kill_Streak_CurrentScore": 0,
                                "Accident_Successive_Count": 0,
                                "Accident_Successive_CurrentScore": 0,
                                "Explosion_Successive_Count": 0,
                                "Explosion_Successive_CurrentScore": 0,
                                "BodyHidden_Successive_Count": 0,
                                "BodyHidden_Successive_CurrentScore": 0,
                                "BodyHidden_CurrentScore": 0,
                                "Bodyfound_Successive_Count": 0,
                                "Bodyfound_Successive_CurrentScore": 0,
                                "Bodyfound_CurrentScore": 0,
                                "CivilianKill_Successive_Count": 0,
                                "CivilianKill_Successive_CurrentScore": 0,
                                "CivilianKill_CurrentScore": 0,
                                "MultiKill_CurrentScore": 0,
                                "MultiKill_Shot_CurrentScore": 0,
                                "ReInitialiseTimer": 0,
                                "StreakTime": 8,
                                "PlayerId": -1,
                                "FoundBodies" : []
                            },
                            "States": {
                                "Start": {
                                    "Kill": [{
                                            "Condition": {
                                                "$or": [{
                                                        "$and": [{
                                                                "$eq": ["$Value.IsHeadshot", false]
                                                            }, {
                                                                "$eq": ["$Value.IsTarget", true]
                                                            }, {
                                                                "$eq": ["$Value.Projectile", true]
                                                            }
                                                        ]
                                                    }, {
                                                        "$and": [{
                                                                "$eq": ["$Value.IsHeadshot", false]
                                                            }, {
                                                                "$eq": ["$Value.IsTarget", true]
                                                            }, {
                                                                "$eq": ["$Value.ExplosionType", 2]
                                                            }
                                                        ]
                                                    }
                                                ]
                                            },
                                            "Actions": {
                                                "$inc": ["TotalScore", "$.Score_Kill_Bodyshot"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_BODYSHOT",
                                                        "Points": "$.Score_Kill_Bodyshot"
                                                    }
                                                ]
                                            }
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsHeadshot", true]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Headshot_Successive", "$.HeadShot_Successive_Count", "HeadShot_Successive_CurrentScore"],
                                                    "$inc": "HeadShot_Successive_Count"
                                                }, {
                                                    "$set": ["HeadShot_CurrentScore", "$.Score_Kill_Headshot"],
                                                    "$inc": ["HeadShot_CurrentScore", "$.HeadShot_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.HeadShot_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_HEADSHOT",
                                                            "Points": "$.HeadShot_CurrentScore"
                                                        }
                                                    ]
                                                }, {
                                                    "$inc": "HeadShot_Streak_Count"
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsMoving", true]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Moving_Successive", "$.Moving_Successive_Count", "Moving_Successive_CurrentScore"],
                                                    "$inc": "Moving_Successive_Count"
                                                }, {
                                                    "$set": ["Moving_CurrentScore", "$.Score_Kill_Moving"],
                                                    "$inc": ["Moving_CurrentScore", "$.Moving_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.Moving_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_MOVINGKILL",
                                                            "Points": "$.Moving_CurrentScore"
                                                        }
                                                    ]
                                                }, {
                                                    "$inc": "Moving_Streak_Count"
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.ExplosionType", 1]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Explosion_Successive", "$.Explosion_Successive_Count", "Explosion_Successive_CurrentScore"],
                                                    "$inc": "Explosion_Successive_Count"
                                                }, {
                                                    "$set": ["Explosion_CurrentScore", "$.Score_Kill_Explosion"],
                                                    "$inc": ["Explosion_CurrentScore", "$.Explosion_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.Explosion_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_EXPLOSIONKILL",
                                                            "Points": "$.Explosion_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.Accident", true]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }, {
                                                        "$eq": ["$Value.Explosive", false]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Accident_Successive", "$.Accident_Successive_Count", "Accident_Successive_CurrentScore"],
                                                    "$inc": "Accident_Successive_Count"
                                                }, {
                                                    "$set": ["Accident_CurrentScore", "$.Score_Kill_Accident"],
                                                    "$inc": ["Accident_CurrentScore", "$.Accident_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.Accident_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_ENVIRONMENTKILL",
                                                            "Points": "$.Accident_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsTarget", false]
                                                    }, {
                                                        "$not": {
                                                            "$eq": ["$Value.KillContext", 1]
                                                        }
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Civilian_Successive", "$.CivilianKill_Successive_Count", "CivilianKill_Successive_CurrentScore"],
                                                    "$inc": "CivilianKill_Successive_Count"
                                                }, {
                                                    "$set": ["CivilianKill_CurrentScore", "$.Score_Kill_Civilian"],
                                                    "$inc": ["CivilianKill_CurrentScore", "$.CivilianKill_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.CivilianKill_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_CIVILIANKILL",
                                                            "Points": "$.CivilianKill_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$eq": ["$Value.IsTarget", true]
                                            },
                                            "Actions": {
                                                "$inc": "Kill_Streak_Count"
                                            },
                                            "Transition": "State_Kill_Streak"
                                        }
                                    ],
                                    "CrowdNPC_Died": [{
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Civilian_Successive", "$.CivilianKill_Successive_Count", "CivilianKill_Successive_CurrentScore"],
                                                    "$inc": "CivilianKill_Successive_Count"
                                                }, {
                                                    "$set": ["CivilianKill_CurrentScore", "$.Score_Kill_Civilian"],
                                                    "$inc": ["CivilianKill_CurrentScore", "$.CivilianKill_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.CivilianKill_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_CIVILIANKILL",
                                                            "Points": "$.CivilianKill_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }
                                    ],
                                    "BodyFound": [{
                                        "Actions": [{
                                            "$mul": ["Score_Bodyfound_Successive", "$.Bodyfound_Successive_Count", "Bodyfound_Successive_CurrentScore"],
                                            "$inc": "Bodyfound_Successive_Count"
                                        }, {
                                            "$set": ["Bodyfound_CurrentScore", "$.Score_Bodyfound"],
                                            "$inc": ["Bodyfound_CurrentScore", "$.Bodyfound_Successive_CurrentScore"]
                                        }, {
                                            "$pushunique": ["FoundBodies", "$Value.RepositoryId"],    
                                            "$inc": ["TotalScore", "$.Bodyfound_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_BODYFOUND",
                                                        "Points": "$.Bodyfound_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ],
                                        "Condition": {
                                            "$and": [{
                                            "$not": {
                                                    "$inarray": {
                                                        "in": "$.FoundBodies",
                                                        "?": {
                                                            "$eq": ["$.#", "$Value.RepositoryId"]
                                                        }
                                                    }
                                                }
                                            }
                                        ]
                                    }
                                    }
                                ],
                                    "BodyHidden": [{
                                            "Condition": {
                                                "$inarray": {
                                                    "in": "$.Targets",
                                                    "?": {
                                                        "$eq": ["$.#", "$Value.RepositoryId"]
                                                    }
                                                }
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_BodyHidden_Successive", "$.BodyHidden_Successive_Count", "BodyHidden_Successive_CurrentScore"],
                                                    "$inc": "BodyHidden_Successive_Count"
                                                }, {
                                                    "$set": ["BodyHidden_CurrentScore", "$.Score_BodyHidden"],
                                                    "$inc": ["BodyHidden_CurrentScore", "$.BodyHidden_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.BodyHidden_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_BODYHIDDEN",
                                                            "Points": "$.BodyHidden_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }
                                    ]
                                },
                                "State_Kill_Streak_ResetTimer": {
                                    "-": [{
                                            "Transition": "State_Kill_Streak"
                                        }
                                    ]
                                },
                                "State_Kill_Streak": {
                                    "-": [{
                                            "$push": ["Events", {
                                                    "Type": "ScoreEvent_StreakStarted"
                                                }
                                            ]
                                        }
                                    ],
                                    "MissedShot": [{
                                            "Transition": "Start"
                                        }
                                    ],
                                    "MultiShotKillTargets": [{
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Multi_Shot", "$Value.KillCount", "MultiKill_Shot_CurrentScore"]
                                                }, {
                                                    "$mul": ["MultiKill_Shot_CurrentScore", "$Value.KillCount"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.MultiKill_Shot_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_MULTISHOTKILL",
                                                            "Points": "$.MultiKill_Shot_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }
                                    ],
                                    "MultiKillTargets": [{
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Multi", "$Value.KillCount", "MultiKill_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.MultiKill_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_MULTIKILL",
                                                            "Points": "$.MultiKill_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }
                                    ],
                                    "Kill": [{
                                            "Condition": {
                                                "$or": [{
                                                        "$and": [{
                                                                "$eq": ["$Value.IsHeadshot", false]
                                                            }, {
                                                                "$eq": ["$Value.IsTarget", true]
                                                            }, {
                                                                "$eq": ["$Value.Projectile", true]
                                                            }
                                                        ]
                                                    }, {
                                                        "$and": [{
                                                                "$eq": ["$Value.IsHeadshot", false]
                                                            }, {
                                                                "$eq": ["$Value.IsTarget", true]
                                                            }, {
                                                                "$eq": ["$Value.ExplosionType", 2]
                                                            }
                                                        ]
                                                    }
                                                ]
                                            },
                                            "Actions": {
                                                "$inc": ["TotalScore", "$.Score_Kill_Bodyshot"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_BODYSHOT",
                                                        "Points": "$.Score_Kill_Bodyshot"
                                                    }
                                                ]
                                            }
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsHeadshot", true]
                                                    }, {
                                                        "$eq": ["$Value.IsMoving", true]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Headshot_Successive", "$.HeadShot_Successive_Count", "HeadShot_Successive_CurrentScore"],
                                                    "$inc": "HeadShot_Successive_Count"
                                                }, {
                                                    "$set": ["HeadShot_CurrentScore", "$.Score_Kill_Headshot"],
                                                    "$inc": ["HeadShot_CurrentScore", "$.HeadShot_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.HeadShot_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_HEADSHOT",
                                                            "Points": "$.HeadShot_CurrentScore"
                                                        }
                                                    ]
                                                }, {
                                                    "$mul": ["Score_Kill_Moving_Successive", "$.Moving_Successive_Count", "Moving_Successive_CurrentScore"],
                                                    "$inc": "Moving_Successive_Count"
                                                }, {
                                                    "$set": ["Moving_CurrentScore", "$.Score_Kill_Moving"],
                                                    "$inc": ["Moving_CurrentScore", "$.Moving_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.Moving_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_MOVINGKILL",
                                                            "Points": "$.Moving_CurrentScore"
                                                        }
                                                    ]
                                                }, {
                                                    "$inc": "Moving_Streak_Count"
                                                }, {
                                                    "$inc": "HeadShot_Streak_Count"
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsHeadshot", true]
                                                    }, {
                                                        "$eq": ["$Value.IsMoving", false]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Headshot_Successive", "$.HeadShot_Successive_Count", "HeadShot_Successive_CurrentScore"],
                                                    "$inc": "HeadShot_Successive_Count"
                                                }, {
                                                    "$set": ["HeadShot_CurrentScore", "$.Score_Kill_Headshot"],
                                                    "$inc": ["HeadShot_CurrentScore", "$.HeadShot_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.HeadShot_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_HEADSHOT",
                                                            "Points": "$.HeadShot_CurrentScore"
                                                        }
                                                    ]
                                                }, {
                                                    "$inc": "HeadShot_Streak_Count"
                                                }, {
                                                    "$set": ["Moving_Streak_Count", 0]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsHeadshot", false]
                                                    }, {
                                                        "$eq": ["$Value.IsMoving", true]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Moving_Successive", "$.Moving_Successive_Count", "Moving_Successive_CurrentScore"],
                                                    "$inc": "Moving_Successive_Count"
                                                }, {
                                                    "$set": ["Moving_CurrentScore", "$.Score_Kill_Moving"],
                                                    "$inc": ["Moving_CurrentScore", "$.Moving_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.Moving_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_MOVINGKILL",
                                                            "Points": "$.Moving_CurrentScore"
                                                        }
                                                    ]
                                                }, {
                                                    "$inc": "Moving_Streak_Count"
                                                }, {
                                                    "$set": ["HeadShot_Streak_Count", 0]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.ExplosionType", 1]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Explosion_Successive", "$.Explosion_Successive_Count", "Explosion_Successive_CurrentScore"],
                                                    "$inc": "Explosion_Successive_Count"
                                                }, {
                                                    "$set": ["Explosion_CurrentScore", "$.Score_Kill_Explosion"],
                                                    "$inc": ["Explosion_CurrentScore", "$.Explosion_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.Explosion_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_EXPLOSIONKILL",
                                                            "Points": "$.Explosion_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.Accident", true]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }, {
                                                        "$eq": ["$Value.Explosive", false]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Accident_Successive", "$.Accident_Successive_Count", "Accident_Successive_CurrentScore"],
                                                    "$inc": "Accident_Successive_Count"
                                                }, {
                                                    "$set": ["Accident_CurrentScore", "$.Score_Kill_Accident"],
                                                    "$inc": ["Accident_CurrentScore", "$.Accident_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.Accident_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_ENVIRONMENTKILL",
                                                            "Points": "$.Accident_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsTarget", false]
                                                    }, {
                                                        "$not": {
                                                            "$eq": ["$Value.KillContext", 1]
                                                        }
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Civilian_Successive", "$.CivilianKill_Successive_Count", "CivilianKill_Successive_CurrentScore"],
                                                    "$inc": "CivilianKill_Successive_Count"
                                                }, {
                                                    "$set": ["CivilianKill_CurrentScore", "$.Score_Kill_Civilian"],
                                                    "$inc": ["CivilianKill_CurrentScore", "$.CivilianKill_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.CivilianKill_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_CIVILIANKILL",
                                                            "Points": "$.CivilianKill_CurrentScore"
                                                        }
                                                    ]
                                                }, {
                                                    "$set": ["HeadShot_Streak_Count", 0]
                                                }, {
                                                    "$set": ["Moving_Streak_Count", 0]
                                                }, {
                                                    "$set": ["Kill_Streak_Count", 0]
                                                }
                                            ],
                                            "Transition": "Start"
                                        }, {
                                            "Condition": {
                                                "$eq": ["$Value.IsTarget", true]
                                            },
                                            "Actions": {
                                                "$inc": "Kill_Streak_Count",
                                                "$set": ["ReInitialiseTimer", 1]
                                            }
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsHeadshot", false]
                                                    }, {
                                                        "$eq": ["$Value.IsMoving", false]
                                                    }, {
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$set": ["HeadShot_Streak_Count", 0]
                                                }, {
                                                    "$set": ["Moving_Streak_Count", 0]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$ge": ["$.HeadShot_Streak_Count", 2]
                                            },
                                            "Actions": [{
                                                    "$set": ["HeadShot_Streak_Count_Temp", "$.HeadShot_Streak_Count"],
                                                    "$dec": "HeadShot_Streak_Count_Temp",
                                                    "$mul": ["Score_Kill_Headshot_Streak_Successive", "$.HeadShot_Streak_Count_Temp", "HeadShot_Streak_CurrentScore"],
                                                    "$inc": ["TotalScore", "$.HeadShot_Streak_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_HEADSHOTSTREAK",
                                                            "Points": "$.HeadShot_Streak_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$ge": ["$.Moving_Streak_Count", 2]
                                            },
                                            "Actions": [{
                                                    "$set": ["Moving_Streak_Count_Temp", "$.Moving_Streak_Count"],
                                                    "$dec": "Moving_Streak_Count_Temp",
                                                    "$mul": ["Score_Kill_Moving_Streak_Successive", "$.Moving_Streak_Count_Temp", "Moving_Streak_CurrentScore"],
                                                    "$inc": ["TotalScore", "$.Moving_Streak_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_MOVINGSTREAK",
                                                            "Points": "$.Moving_Streak_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$ge": ["$.Kill_Streak_Count", 2]
                                            },
                                            "Actions": [{
                                                    "$set": ["Kill_Streak_Count_Temp", "$.Kill_Streak_Count"],
                                                    "$dec": "Kill_Streak_Count_Temp",
                                                    "$mul": ["Score_Kill_Streak_Successive", "$.Kill_Streak_Count_Temp", "Kill_Streak_CurrentScore"],
                                                    "$inc": ["TotalScore", "$.Kill_Streak_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_KILLSTREAK",
                                                            "Points": "$.Kill_Streak_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }, {
                                            "Condition": {
                                                "$eq": ["$.ReInitialiseTimer", 1]
                                            },
                                            "Actions": {
                                                "$set": ["ReInitialiseTimer", 0]
                                            },
                                            "Transition": "State_Kill_Streak_ResetTimer"
                                        }
                                    ],
                                    "$timer": [{
                                            "Condition": {
                                                "$after": "$.StreakTime"
                                            },
                                            "Actions": [{
                                                    "$set": ["HeadShot_Streak_Count", 0]
                                                }, {
                                                    "$set": ["Moving_Streak_Count", 0]
                                                }, {
                                                    "$set": ["Kill_Streak_Count", 0]
                                                }
                                            ],
                                            "Transition": "Start"
                                        }
                                    ],
                                    "CrowdNPC_Died": [{
                                            "Actions": [{
                                                    "$mul": ["Score_Kill_Civilian_Successive", "$.CivilianKill_Successive_Count", "CivilianKill_Successive_CurrentScore"],
                                                    "$inc": "CivilianKill_Successive_Count"
                                                }, {
                                                    "$set": ["CivilianKill_CurrentScore", "$.Score_Kill_Civilian"],
                                                    "$inc": ["CivilianKill_CurrentScore", "$.CivilianKill_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.CivilianKill_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_CIVILIANKILL",
                                                            "Points": "$.CivilianKill_CurrentScore"
                                                        }
                                                    ]
                                                }, {
                                                    "$set": ["HeadShot_Streak_Count", 0]
                                                }, {
                                                    "$set": ["Moving_Streak_Count", 0]
                                                }, {
                                                    "$set": ["Kill_Streak_Count", 0]
                                                }
                                            ],
                                            "Transition": "Start"
                                        }
                                    ],
                                    "BodyFound": [{
                                        "Actions": [{
                                            "$mul": ["Score_Bodyfound_Successive", "$.Bodyfound_Successive_Count", "Bodyfound_Successive_CurrentScore"],
                                            "$inc": "Bodyfound_Successive_Count"
                                        }, {
                                            "$set": ["Bodyfound_CurrentScore", "$.Score_Bodyfound"],
                                            "$inc": ["Bodyfound_CurrentScore", "$.Bodyfound_Successive_CurrentScore"]
                                        }, {
                                            "$pushunique": ["FoundBodies", "$Value.RepositoryId"],    
                                            "$inc": ["TotalScore", "$.Bodyfound_CurrentScore"],
                                                "$push": ["Events", {
                                                        "Type": "ScoreEvent_BODYFOUND",
                                                        "Points": "$.Bodyfound_CurrentScore"
                                                    }
                                                ]
                                            }
                                        ],
                                        "Condition": {
                                            "$and": [{
                                            "$not": {
                                                    "$inarray": {
                                                        "in": "$.FoundBodies",
                                                        "?": {
                                                            "$eq": ["$.#", "$Value.RepositoryId"]
                                                        }
                                                    }
                                                }
                                            }
                                        ]
                                    }
                                    }
                                ],
                                    "BodyHidden": [{
                                            "Condition": {
                                                "$inarray": {
                                                    "in": "$.Targets",
                                                    "?": {
                                                        "$eq": ["$.#", "$Value.RepositoryId"]
                                                    }
                                                }
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_BodyHidden_Successive", "$.BodyHidden_Successive_Count", "BodyHidden_Successive_CurrentScore"],
                                                    "$inc": "BodyHidden_Successive_Count"
                                                }, {
                                                    "$set": ["BodyHidden_CurrentScore", "$.Score_BodyHidden"],
                                                    "$inc": ["BodyHidden_CurrentScore", "$.BodyHidden_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.BodyHidden_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_BODYHIDDEN",
                                                            "Points": "$.BodyHidden_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }
                                    ]
                                }
                            }
                        }, {
                            "ScoreEvents": {
                                "ScoreEvent_SYNCHRONISEDKILL": {
                                    "type": 13,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_SYNCHRONIZEDKILL"
                                },
                                "ScoreEvent_SYNCHRONISEDKILL_SUCCESSIVE": {
                                    "type": 14,
                                    "text": "UI_HUD_SCORING_SCORE_KILL_SYNCHRONIZEDKILLSUCCESSIVE"
                                }
                            },
                            "Constants": {
                                "Score_Synchronised_Kill": 4000,
                                "Score_Synchronised_Kill_Successive": 2000,
                                "SynchronisedKillTimerLength": 1
                            },
                            "Context": {
                                "PlayerIds": [],
                                "SuccessivePlayerIds": [],
                                "Events": [],
                                "TotalScore": 0,
                                "SynchronisedKill_Count": 0,
                                "SynchronisedKill_Successive_CurrentScore": 0,
                                "SynchronisedKill_CurrentScore": 0
                            },
                            "States": {
                                "Start": {
                                    "-": {
                                        "Actions": [{
                                                "$reset": "PlayerIds"
                                            }, {
                                                "$reset": "SuccessivePlayerIds"
                                            }
                                        ]
                                    },
                                    "Kill": [{
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }, {
                                                        "$pushunique": ["PlayerIds", "$Value.PlayerId"]
                                                    }
                                                ]
                                            },
                                            "Transition": "EnterCoopState"
                                        }
                                    ]
                                },
                                "EnterCoopState": {
                                    "$timer": [{
                                            "Condition": {
                                                "$after": "$.SynchronisedKillTimerLength"
                                            },
                                            "Transition": "Start"
                                        }
                                    ],
                                    "Kill": [{
                                            "Condition": {
                                                "$eq": ["$Value.IsTarget", false]
                                            },
                                            "Transition": "Start"
                                        }, {
                                            "Condition": {
                                                "$and": [{
                                                        "$eq": ["$Value.IsTarget", true]
                                                    }, {
                                                        "$pushunique": ["PlayerIds", "$Value.PlayerId"]
                                                    }
                                                ]
                                            },
                                            "Actions": [{
                                                    "$mul": ["Score_Synchronised_Kill_Successive", "$.SynchronisedKill_Count", "SynchronisedKill_Successive_CurrentScore"],
                                                    "$inc": "SynchronisedKill_Count"
                                                }, {
                                                    "$set": ["SynchronisedKill_CurrentScore", "$.Score_Synchronised_Kill"],
                                                    "$inc": ["SynchronisedKill_CurrentScore", "$.SynchronisedKill_Successive_CurrentScore"]
                                                }, {
                                                    "$inc": ["TotalScore", "$.SynchronisedKill_CurrentScore"],
                                                    "$push": ["Events", {
                                                            "Type": "ScoreEvent_SYNCHRONISEDKILL",
                                                            "Points": "$.SynchronisedKill_CurrentScore"
                                                        }
                                                    ]
                                                }
                                            ],
                                            "Transition": "Start"
                                        }
                                    ]
                                }
                            }
                        }
                    ]
                }
            ]
            },
        "UserData": {}
    },
    {
        "Data": {
            "EnableSaving": false,
                            "Objectives": [{
                                    "Id": "318b7374-bceb-4fbe-909f-a5647cdf6f43",
                                    "ObjectiveType": "custom",
                                    "OnActive": {
                                        "IfCompleted": {
                                            "Visible": true
                                        }
                                    },
                                    "Image": "images/contracts/AssRace/AssRaceTarget.jpg",
                                    "BriefingName": "Eliminate VIP",
                                    "BriefingText": "Eliminate the VIP unnoticed",
                                    "Category": "primary",
                                    "HUDTemplate": {
                                        "display": "Eliminate the VIP"
                                    },
                                    "Type": "statemachine",
                                    "Definition": {
                                        "Context": {
                                            "KilledActors": [],
                                            "Targets": [],
                                            "Ghost": []
                                        },
                                        "States": {
                                            "Start": {
                                                "TargetPickedConfirm": [{
                                                        "Actions": [{
                                                                "$reset": "Targets"
                                                            }, {
                                                                "$pushunique": ["Ghost", "$Value.RepositoryId"]
                                                            }, {
                                                                "$pushunique": ["Targets", "$Value.RepositoryId"]
                                                            }
                                                        ],
                                                        "Transition": "TargetPicked"
                                                    }
                                                ]
                                            },
                                            "TargetPicked": {
                                                "Unnoticed_Kill": [{
                                                "Actions": {
                                                    "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                                    }
                                                },	{
                                                "Condition": {
                                                        "$all": {
                                                            "in": "$.Ghost",
                                                                "?": {
                                                                    "$any": {
                                                                        "in": "$.KilledActors",
                                                                        "?": {
                                                                        "$eq": ["$.#", "$.##"]
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    },
                                                    "Transition": "Success"
                                                }
                                            ],
                                            "Noticed_Pacified": [{
                                                "Condition": {
                                                        "$and": [{
                                                            "$inarray": {
                                                                "in": "$.Ghost",
                                                                "?": {
                                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                                }
                                                            }
                                                        }]
                                                    },
                                                "Transition": "Failure"
                                            }
                                        ],
                                        "NoticedKill": [{
                                            "Condition": {
                                                    "$and": [{
                                                        "$inarray": {
                                                            "in": "$.Ghost",
                                                            "?": {
                                                                "$eq": ["$.#", "$Value.RepositoryId"]
                                                            }
                                                        }
                                                    }]
                                                },
                                            "Transition": "Failure"
                                        }
                                    ],
                                    "DeadBodySeen": [{
                                        "Condition": {
                                                "$and": [{
                                                    "$inarray": {
                                                        "in": "$.Ghost",
                                                        "?": {
                                                            "$eq": ["$.#", "$Value"]
                                                        }
                                                    }
                                                }]
                                            },
                                        "Transition": "Failure"
                                    }
                                ]
                                    }
                                }
                            }
                        },	{
                    "Id": "3512725f-619b-4bfa-a08a-9077dfbedb1e0",
                    "Category": "primary",
                    "ForceShowOnLoadingScreen": true,
                    "ObjectiveType": "custom",
                    "CounterVisibleInTile": false,
                    "UpdateActivationWhileCompleted": true,
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "BriefingName": "Kill targets",
                    "BriefingText": "Get 7 unnoticed kills on targets",
                    "HUDTemplate": {
                        "display": "Get 7 unnoticed kills on targets",
                        "iconType": 13
                    },
                    "Type": "statemachine",
                    "Scope": "session",
                    "CombinedDisplayInHud": true,
                    "Definition": {
                        "ContextListeners": {
                            "AmountToPacify": {
                                "type": "objective-counter",
                                "header": "UI_MENU_MATCH_STATS_UNNOTICED_KILLS",
                                "deactivate": -1
                            },
                            "ForceUpdateCounters": {
                                "type": "force-update",
                                "target": "AmountToPacify"
                            }, 
                            "CooldownActive": {
                                                "type": "custom",
                                                "HUDTemplate": {
                                                    "display": {
                                                        "$loc": {
                                                            "key": "UI_CONTRACT_VS_RACE_TARGET_INCOMING_OBJ",
                                                            "data": []
                                                        }
                                                    }
                                                }
                                            }
                        },
                        "Context": {
                            "AmountToPacify": 0,
                            "FoundBodies" : [],
                            "KilledActors" : [],
                            "Targets" : ["79f10ae2-291c-41cb-b55f-017462536286", "6910769b-de01-45e5-be79-aa77788b9c6a", "339b653a-5bb9-4081-bb64-100a1d1e29b0",
                                "43e8601c-0a01-463a-9295-80c86efc9856"
                            ],
                            "CooldownActive": 1,
                            "CooldownInActive": 1
                        },
                        "States": {
                            "Start": {
                                "Unnoticed_Kill": [{
                                    "Condition": {
                                            "$eq": ["$Value.IsTarget", true]
                                        },
                                    "Actions": [{
                                        "$inc": ["AmountToPacify", 1]
                                    }, {
                                        "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                    }
                                ]
                                },	{
                                        "Condition": {
                                            "$eq": ["$.AmountToPacify", 7]
                                        },
                                        "Actions": {
                                            "$set": ["AmountToPacify", -2]
                                        },
                                        "Transition": "Success"
                                },	{
                                    "Condition": {
                                        "$and": [{
                                            "$all": {
                                            "in": "$.Targets",
                                                "?": {
                                                    "$any": {
                                                        "in": "$.KilledActors",
                                                        "?": {
                                                        "$eq": ["$.#", "$.##"]
                                                        }
                                                    }
                                                }
                                            }
                                        },	{
                                            "$lt": ["$.AmountToPacify", 7]
                                        }
                                    ]
                                },
                                "Transition": "Failure"
                                }
                            ],
                                            "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "79f10ae2-291c-41cb-b55f-017462536286"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "880dc3b4-6aea-4f28-9508-d4831501e9ac"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "880dc3b4-6aea-4f28-9508-d4831501e9ac"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "4f6798b4-d857-4c81-a76e-828a26a85aa3"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "4f6798b4-d857-4c81-a76e-828a26a85aa3"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "ee454990-0c4b-49e5-9572-a67887325283"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "339b653a-5bb9-4081-bb64-100a1d1e29b0"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "9e518d13-2941-4573-b044-9285b3aff5aa"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "9e518d13-2941-4573-b044-9285b3aff5aa"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "12719ff3-ac40-4a42-bbd7-ac7ee494d298"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "12719ff3-ac40-4a42-bbd7-ac7ee494d298"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "9f591262-1a63-49b1-a237-0a26d5196660"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "6910769b-de01-45e5-be79-aa77788b9c6a"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "ea638c1b-d4e5-42c9-bf70-e4b2825a846e"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "ea638c1b-d4e5-42c9-bf70-e4b2825a846e"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "045649e5-0a15-4f13-ae80-176eb790d42a"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "045649e5-0a15-4f13-ae80-176eb790d42a"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "509f903c-bd91-4e09-88bd-fc8d89b8d29a"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "509f903c-bd91-4e09-88bd-fc8d89b8d29a"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "6f89886b-ac8a-4828-bc04-6e314ded5c28"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "ee454990-0c4b-49e5-9572-a67887325283"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "d12696bc-d23f-4ca6-8be3-a59689fa5539"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "9f591262-1a63-49b1-a237-0a26d5196660"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "bc7ca5bb-5338-4242-8e65-8562ab521bd6"]
                                                    }
                                        
                                    },  {
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "43e8601c-0a01-463a-9295-80c86efc9856"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "f467497e-9ea9-4c18-8d53-9864e9ac93d3"]
                                                    }
                                        
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "f467497e-9ea9-4c18-8d53-9864e9ac93d3"]
                                        },
                                         "Actions": {
                                                    "$pushunique": ["Targets", "36b85be9-4c56-491a-8413-4d3292b596e9"]
                                                    }
                                        
                                    },	{
                                                "Actions": {
                                                    "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                                    },
                                                "Condition": {
                                            "$inarray": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                }
                                            }
                                        },
                                                    "Transition": "CooldownRunning"
                                            },  {
                                                "Actions": {
                                                    "$dec": ["AmountToPacify", 1]
                                                },
                                                    "Condition": {
                                                        "$eq": ["$Value.IsTarget", false]
                                            },
                                                    "Transition": "CheckCount"
                                                }
                                            ],
                                            "TimerExpirationStart": [{
                                                "Actions": {
                                                    "$dec": "CooldownActive"
                                                },
                                                "Transition": "CooldownRunning"
                                            }
                                        ],
                                        "TimerExpirationEnd": [{
                                                "Actions": {
                                                    "$dec": "CooldownActive"
                                                }
                                            }
                                        ],
                                        "TargetPickedConfirm": [{
                                                "Actions": [{
                                                        "$reset": "Targets"
                                                    }, {
                                                        "$pushunique": ["Targets", "$Value.RepositoryId"]
                                                    }
                                                ]
                                            }
                                        ]
                                     },
                            "CheckCount": {
                                "-": [{
                                        "Condition": {
                                            "$eq": ["$.AmountToPacify", 7]
                                        },
                                        "Actions": {
                                            "$set": ["AmountToPacify", -2]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.AmountToPacify", -1]
                                        },
                                        "Actions": {
                                            "$set": ["AmountToPacify", 0]
                                        },
                                        "Transition": "Start"
                                    },	{
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    }
                },  {
                    "Id": "ce646650-60e6-4e86-a4bf-c86ec266e35b",
                    "ObjectiveType": "custom",
                    "OnActive": {
                        "IfInProgress": {
                            "State": "Completed"
                        }
                    },
                    "Image": "images/contractconditions/condition_contrac_time_limit.jpg",
                    "BriefingName": "Timer",
                    "BriefingText": "Kill a target before the timer runs out",
                    "HUDTemplate": {
                        "display": "Timer"
                    },
                    "Category": "primary",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "AmountToPacify": 0,
                            "CooldownActive": 1,
                            "CooldownInActive": 1,
                            "Missed": 0
                        },
                        "States": {
                            "Start": {
                                "IntroCutEnd": [{
                                        "Transition": "Timer1"
                                    }
                                ]
                            },
                             "Timer1": {
                            "-": [{
                                "Condition": {
                                    "$eq": ["$.AmountToPacify", 2]
                                },
                                "Transition": "Timer2"
                        }
                            ],
                            "$timer": [{
                                        "Condition": {
                                            "$after": 150
                                        },
                                        "Actions": {
                                            "$inc": ["Missed", 1]
                                        },
                                        "Transition": "CheckCount"
                                    }
                                ],
                            "Unnoticed_Kill": [{
                                "Condition": {
                                        "$eq": ["$Value.IsTarget", true]
                                    },
                                "Actions": [{
                                    "$inc": ["AmountToPacify", 1]
                                }, {
                                    "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                }
                            ]
                            },	{
                                "Condition": {
                                    "$and": [{
                                        "$all": {
                                        "in": "$.Targets",
                                            "?": {
                                                "$any": {
                                                    "in": "$.KilledActors",
                                                    "?": {
                                                    "$eq": ["$.#", "$.##"]
                                                    }
                                                }
                                            }
                                        }
                                    },	{
                                        "$lt": ["$.AmountToPacify", 7]
                                    }
                                ]
                            },
                            "Transition": "Failure"
                            }
                        ],
                                        "Kill": [{
                                            "Actions": {
                                                "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                                },
                                            "Condition": {
                                                "$eq": ["$Value.IsTarget", true]
                                    },
                                                "Transition": "CooldownRunning"
                                        },  {
                                            "Actions": {
                                                "$dec": ["AmountToPacify", 1]
                                            },
                                                "Condition": {
                                                    "$eq": ["$Value.IsTarget", false]
                                        }
                                                }
                                        ],
                                        "TimerExpirationStart": [{
                                            "Actions": {
                                                "$dec": "CooldownActive"
                                            },
                                            "Transition": "CooldownRunning"
                                        }
                                    ],
                                    "TimerExpirationEnd": [{
                                            "Actions": {
                                                "$dec": "CooldownActive"
                                            }
                                        }
                                    ],
                                    "TargetPickedConfirm": [{
                                            "Actions": [{
                                                    "$reset": "Targets"
                                                }, {
                                                    "$pushunique": ["Targets", "$Value.RepositoryId"]
                                                }
                                            ]
                                        }
                                    ]
                                 },
                        "Timer2": {
                            "exit_gate": [{
                                "Transition": "Success"
                            }
                            ],
                            "$timer": [{
                                        "Condition": {
                                            "$after": 120
                                        },
                                        "Actions": {
                                            "$inc": ["Missed", 1]
                                        },
                                        "Transition": "CheckCount"
                                    }
                                ],
                            "Unnoticed_Kill": [{
                                "Condition": {
                                        "$eq": ["$Value.IsTarget", true]
                                    },
                                "Actions": [{
                                    "$inc": ["AmountToPacify", 1]
                                }, {
                                    "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                }
                            ]
                            },	{
                                    "Condition": {
                                        "$eq": ["$.AmountToPacify", 6]
                                    },
                                    "Transition": "Timer3"
                            },	{
                                "Condition": {
                                    "$and": [{
                                        "$all": {
                                        "in": "$.Targets",
                                            "?": {
                                                "$any": {
                                                    "in": "$.KilledActors",
                                                    "?": {
                                                    "$eq": ["$.#", "$.##"]
                                                    }
                                                }
                                            }
                                        }
                                    },	{
                                        "$lt": ["$.AmountToPacify", 7]
                                    }
                                ]
                            },
                            "Transition": "Failure"
                            }
                        ],
                                        "Kill": [{
                                            "Actions": {
                                                "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                                },
                                            "Condition": {
                                                "$eq": ["$Value.IsTarget", true]
                                    },
                                                "Transition": "CooldownRunning2"
                                        },  {
                                            "Actions": {
                                                "$dec": ["AmountToPacify", 1]
                                            },
                                                "Condition": {
                                                    "$eq": ["$Value.IsTarget", false]
                                        }
                                                }
                                        ],
                                        "TimerExpirationStart": [{
                                            "Actions": {
                                                "$dec": "CooldownActive"
                                            },
                                            "Transition": "CooldownRunning2"
                                        }
                                    ],
                                    "TimerExpirationEnd": [{
                                            "Actions": {
                                                "$dec": "CooldownActive"
                                            }
                                        }
                                    ],
                                    "TargetPickedConfirm": [{
                                            "Actions": [{
                                                    "$reset": "Targets"
                                                }, {
                                                    "$pushunique": ["Targets", "$Value.RepositoryId"]
                                                }
                                            ]
                                        }
                                    ]
                                 },
                        "Timer3": {
                            "exit_gate": [{
                                "Transition": "Success"
                            }
                            ],
                            "$timer": [{
                                        "Condition": {
                                            "$after": 90
                                        },
                                        "Actions": {
                                            "$inc": ["Missed", 1]
                                        },
                                        "Transition": "CheckCount"
                                    }
                                ],
                            "Unnoticed_Kill": [{
                                "Condition": {
                                        "$eq": ["$Value.IsTarget", true]
                                    },
                                "Actions": [{
                                    "$inc": ["AmountToPacify", 1]
                                }, {
                                    "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                }
                            ]
                            },	{
                                    "Condition": {
                                        "$eq": ["$.AmountToPacify", 7]
                                    },
                                    "Transition": "Success"
                            },	{
                                "Condition": {
                                    "$and": [{
                                        "$all": {
                                        "in": "$.Targets",
                                            "?": {
                                                "$any": {
                                                    "in": "$.KilledActors",
                                                    "?": {
                                                    "$eq": ["$.#", "$.##"]
                                                    }
                                                }
                                            }
                                        }
                                    },	{
                                        "$lt": ["$.AmountToPacify", 7]
                                    }
                                ]
                            },
                            "Transition": "Failure"
                            }
                        ],
                                        "Kill": [{
                                            "Actions": {
                                                "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                                },
                                            "Condition": {
                                                "$eq": ["$Value.IsTarget", true]
                                    },
                                                "Transition": "CooldownRunning3"
                                        },  {
                                            "Actions": {
                                                "$dec": ["AmountToPacify", 1]
                                            },
                                                "Condition": {
                                                    "$eq": ["$Value.IsTarget", false]
                                        }
                                                }
                                        ],
                                        "TimerExpirationStart": [{
                                            "Actions": {
                                                "$dec": "CooldownActive"
                                            },
                                            "Transition": "CooldownRunning3"
                                        }
                                    ],
                                    "TimerExpirationEnd": [{
                                            "Actions": {
                                                "$dec": "CooldownActive"
                                            }
                                        }
                                    ],
                                    "TargetPickedConfirm": [{
                                            "Actions": [{
                                                    "$reset": "Targets"
                                                }, {
                                                    "$pushunique": ["Targets", "$Value.RepositoryId"]
                                                }
                                            ]
                                        }
                                    ]
                                 },
                        "CheckCount": {
                            "-": [{
                                    "Condition": {
                                        "$lt": ["$.AmountToPacify", 0]
                                    },
                                    "Actions": {
                                        "$set": ["AmountToPacify", 0]
                                    }
                                },	{
                                    "Condition": {
                                        "$eq": ["$.Missed", 2]
                                    },
                                    "Transition": "Failure"
                                },  {
                                    "Condition": {
                                        "$lt": ["$.AmountToPacify", 3]
                                    },
                                    "Transition": "Timer1"
                                },  {
                                    "Condition": {
                                        "$eq": ["$.AmountToPacify", 4]
                                    },
                                    "Transition": "Timer2"
                                },  {
                                    "Condition": {
                                        "$eq": ["$.AmountToPacify", 5]
                                    },
                                    "Transition": "Timer2"
                                },  {
                                    "Condition": {
                                        "$gt": ["$.AmountToPacify", 5]
                                    },
                                    "Transition": "Timer3"
                                },  {
                                    "Transition": "Timer2"
                                }
                            ]
                        },
                        "CooldownRunning": {
                            "$timer": [{
                                    "Condition": {
                                        "$after": 10
                                    },
                                    "Actions": {
                                        "$dec": "CooldownInActive"
                                    },
                                    "Transition": "CheckCount"
                                }
                            ],
                            "TimerExpirationEnd": [{
                                    "Actions": {
                                        "$dec": "CooldownInActive"
                                    }
                                }
                            ],
                            "TargetPickedConfirm": [{
                                    "Actions": [{
                                            "$reset": "Targets"
                                        }, {
                                            "$pushunique": ["Ghost", "$Value.RepositoryId"]
                                        }
                                    ]
                                }
                            ]
                        },
                        "CooldownRunning2": {
                            "$timer": [{
                                    "Condition": {
                                        "$after": 10
                                    },
                                    "Actions": {
                                        "$dec": "CooldownInActive"
                                    },
                                    "Transition": "CheckCount"
                                }
                            ],
                            "TimerExpirationEnd": [{
                                    "Actions": {
                                        "$dec": "CooldownInActive"
                                    }
                                }
                            ]
                        },
                        "CooldownRunning3": {
                            "$timer": [{
                                    "Condition": {
                                        "$after": 10
                                    },
                                    "Actions": {
                                        "$dec": "CooldownInActive"
                                    },
                                    "Transition": "CheckCount"
                                }
                            ],
                            "TimerExpirationEnd": [{
                                    "Actions": {
                                        "$dec": "CooldownInActive"
                                    }
                                }
                            ]
                        }
                    }
                }
            },	{
                    "Id": "d4f5c7da-073b-4ab7-9471-5cad3ac060bf",
                    "_comment": "Stop Future Targets Being Stashed",
                    "Category": "secondary",
                    "IsHidden": true,
                    "Scope": "session",
                    "Type": "statemachine",
                    "OnActive": {
                        "IfFailed": {
                            "Visible": false
                        },
                        "IfCompleted": {
                            "Visible": false
                        }
                    },
                    "Definition": {
                        "Context": {
                            "KilledActors" : [],
                            "Targets" : ["79f10ae2-291c-41cb-b55f-017462536286", "045649e5-0a15-4f13-ae80-176eb790d42a",
                                "6f89886b-ac8a-4828-bc04-6e314ded5c28", "339b653a-5bb9-4081-bb64-100a1d1e29b0", "880dc3b4-6aea-4f28-9508-d4831501e9ac",
                              "f467497e-9ea9-4c18-8d53-9864e9ac93d3", "9e518d13-2941-4573-b044-9285b3aff5aa",
                                "ebd3f33e-a9a1-462d-819d-523234e1e53d", "4f6798b4-d857-4c81-a76e-828a26a85aa3",
                                "ea638c1b-d4e5-42c9-bf70-e4b2825a846e", "43e8601c-0a01-463a-9295-80c86efc9856",
                                "ee454990-0c4b-49e5-9572-a67887325283", "bc7ca5bb-5338-4242-8e65-8562ab521bd6",
                                "36b85be9-4c56-491a-8413-4d3292b596e9", "12719ff3-ac40-4a42-bbd7-ac7ee494d298",
                                "6910769b-de01-45e5-be79-aa77788b9c6a", "509f903c-bd91-4e09-88bd-fc8d89b8d29a",
                                "d12696bc-d23f-4ca6-8be3-a59689fa5539", "9f591262-1a63-49b1-a237-0a26d5196660"
                                ]
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "739b0044-c2c1-4487-8222-675bf8eaf9cd"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    }
                }
        ],
                            "Bricks": ["assembly:/_pro/scenes/missions/miami/versus_targets_miami.brick", "assembly:/_pro/scenes/missions/miami/versus_items_miami.brick",
                            "assembly:/_pro/scenes/missions/miami/gamechanger__flamingo__aquarium_fish.brick", "assembly:/_pro/scenes/missions/miami/versus_entrance_miami.brick"],
                            "SimulationQualities": [{
                                    "Quality": "better",
                                    "Bricks": ["assembly:/_pro/scenes/missions/miami/scenario_flamingo_intel_6cores.brick"]
                                }, {
                                    "Quality": "best",
                                    "Bricks": ["assembly:/_pro/scenes/missions/miami/scenario_flamingo_intel_8cores.brick"]
                                }
                            ],
                            "Entrances": [],
                            "GameChangers": [],
                            "EngineModesBricks": [],
                            "MandatoryLoadout": [{
                                "Id": "Outfit",
                                "Properties": {
                                    "LoadoutSlot": "disguise",
                                    "RepositoryId": "054f443b-824f-4913-8b29-64dfcd82b089"
                                }
                            },	{
                                "Id": "Tool_Coin",
                                "Properties": {
                                    "LoadoutSlot": "gear",
                                    "RepositoryId": "e6fb31e2-218e-40ff-a4ec-43a79604cfd7"
                                }
                            }, {
                                "Id": "Tool_Coin",
                                "Properties": {
                                    "LoadoutSlot": "gear",
                                    "RepositoryId": "e6fb31e2-218e-40ff-a4ec-43a79604cfd7"
                                }
                            }, {
                                "Id": "Tool_Coin",
                                "Properties": {
                                    "LoadoutSlot": "gear",
                                    "RepositoryId": "e6fb31e2-218e-40ff-a4ec-43a79604cfd7"
                                }
                            }
                        ]
                    },
            "Metadata": {
            "CodeName_Hint": "Ghost Mode Miami 1v1",
            "CreationTimestamp": "2012-12-12T12:12:12.743Z",
            "CreatorUserId": "00000000-0000-0000-0000-000000000000",
            "TileImage": "images/contracts/assrace/tile.jpg",
            "Title": "UI_SOLOGHOST",
            "Description": "DESC_TARGETSTREAK",
            "Id": "f0ba328f-e3dd-4ef8-bb26-0363499fdd96",
            "IsPublished": true,
            "IsVersus": true,
            "LastUpdate": "2015-03-10T12:00:00.551Z",
            "Location": "LOCATION_MIAMI",
            "Entitlements": ["H2_LEGACY_STANDARD"],
            "Release": "2.0.x",
            "SpawnSelectionType": "random",
            "Gamemodes": ["versus"],
            "Enginemodes": ["singleplayer", "multiplayer"],
            "CharacterSetup": [{
                    "Mode": "multiplayer",
                    "Characters": [{
                            "Name": "47",
                            "Id": "44eba719-4d3a-4f27-9437-3f29821934b3"
                        }, {
                            "Name": "47",
                            "Id": "44eba719-4d3a-4f27-9437-3f29821934b3"
                        }
                    ]
                }
            ],
            "ScenePath": "assembly:/_pro/scenes/missions/miami/scene_flamingo.entity",
            "Type": "vsrace",
            "UserData": {},
            "Scoring": {
                "Kill": {
                    "UnnoticedTarget": 1,
                    "NoticedTarget": 0,
                    "NoticedNonTarget": -1,
                    "UnnoticedNonTarget": -1
                },
                "AccidentKill": 1,
                "AsyncKill": {}
            },
            "EndConditions": {
                "PointLimit": 5
            },
            "TargetExpiration": 20,
            "TargetLifeTime": 0,
            "NonTargetKillPenaltyEnabled": true
        },
        "UserData": {}
    },
    {
        "Data": {
            "Objectives": [{
                    "Id": "f9f212b8-71da-4489-98cf-cb242f36a9b9",
                    "ObjectiveType": "gamechanger",
                    "BriefingName": "Chaos Level",
                    "ExcludeFromScoring": true,
                    "Category": "secondary",
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "HUDTemplate": {
                        "display": "Chaos Level: Low",
                        "iconType": 7
                    },
                    "BriefingText": "You have not killed many people in Sapienza",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "Targets": [],
                            "TargetsCounter": 0,
                            "Goal": 5
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": false
                        }
                    }
                }, {
                    "Id": "8d2e7efa-e47d-4a5e-8e0d-4d768bfb6d38",
                    "ObjectiveType": "gamechanger",
                    "ExcludeFromScoring": true,
                    "Category": "secondary",
                    "Activation": {
                        "$eq": ["$f9f212b8-71da-4489-98cf-cb242f36a9b9", "Completed"]
                    },
                    "BriefingName": "Chaos Level",
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "HUDTemplate": {
                        "display": "Chaos Level: Medium",
                        "iconType": 8
                    },
                    "BriefingText": "You have killed fair few people during your mission in Sapienza",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Scope": "session",
                            "Targets": [],
                            "TargetsCounter": 0,
                            "Goal": 9
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": false
                        }
                    }
                }, {
                    "Id": "8d2e7efa-e47d-4a5e-8e0d-4d768bfb6d381",
                    "ObjectiveType": "gamechanger",
                    "ExcludeFromScoring": true,
                    "Category": "secondary",
                    "Activation": {
                        "$eq": ["$8d2e7efa-e47d-4a5e-8e0d-4d768bfb6d38", "Completed"]
                    },
                    "BriefingName": "Chaos Level",
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "HUDTemplate": {
                        "display": "Chaos Level: High",
                        "iconType": 20
                    },
                    "BriefingText": "You have killed fair few people during your mission in Sapienza",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Scope": "session",
                            "Targets": [],
                            "TargetsCounter": 0,
                            "Goal": 100
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                }, {
                    "Id": "4",
                    "Category": "primary",
                    "Primary": true,
                    "ExcludeFromScoring": true,
                    "ObjectiveType": "custom",
                    "ForceShowOnLoadingScreen": true,
                    "BriefingName": "Choose A Faction",
                    "Image": "images/ruddy/cyasapi_obj1.jpg",
                    "HUDTemplate": {
                        "display": "Kill or hide the Private Detective for Caruso \ror \rPacify and stash the scientist at church for the Concerned Citizens",
                        "iconType": 17
                    },
                    "BriefingText": "Caruso: Kill, or pacify and hide the Private Detective\r\rConcerned Citizens: Capture the scientist at church by putting her in a container",
                    "LongBriefingText": "Silvio Caruso has been running a morally dubious research operation out of the town of Sapienza. Understandbly he's come across some obstacles and critics; he'd like us to remove those obstacles, starting with a Private Detective who's just arrived in town and is almost certainly looking into Caruso's operation. Kill him, or knock him out and dump him somewhere so he's not able to begin his work. \r\rAlternatively, Sapienza's 'Concerned Citizens' group would like Caruso's operation investigated and taken down. Their first task is to capture a scientist who's visiting the church, knock her out and stash her in a container somewhere for extraction where she'll be interrogated.",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "KilledActors": [],
                            "Targets": ["739b0044-c2c1-4487-8222-675bf8eaf9cd", "1132f96d-fc0e-48ce-bc8f-17baf112b6f8"]
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "739b0044-c2c1-4487-8222-675bf8eaf9cd"]
                                                },
                                        "Transition": "Success"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1132f96d-fc0e-48ce-bc8f-17baf112b6f8"]
                                        },
                                        "Transition": "Failure"
                                    }
                                ],
                                "Pacify": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "739b0044-c2c1-4487-8222-675bf8eaf9cd"]
                                        },
                                        "Actions": {
                                        "$remove": ["Targets", "$Value.RepositoryId"]
                                        }
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1132f96d-fc0e-48ce-bc8f-17baf112b6f8"]
                                        },
                                        "Actions": {
                                        "$remove": ["Targets", "$Value.RepositoryId"]
                                        }
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "739b0044-c2c1-4487-8222-675bf8eaf9cd"]
                                                },
                                        "Transition": "Success"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1132f96d-fc0e-48ce-bc8f-17baf112b6f8"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    }
                }, 	{
                    "Id": "d4f5c7da-073b-4ab7-9471-5cad3ac060bf",
                    "Category": "secondary",
                    "Scope": "session",
                    "Type": "statemachine",
                    "OnActive": {
                        "IfFailed": {
                            "Visible": false
                        },
                        "IfCompleted": {
                            "Visible": false
                        }
                    },
                    "Definition": {
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "739b0044-c2c1-4487-8222-675bf8eaf9cd"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "739b0044-c2c1-4487-8222-675bf8eaf9cd"]
                                                },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    }
                }, {
                    "Id": "1cee5c4c-4049-4548-b55e-da3510e9b668",
                    "Category": "secondary",
                    "Scope": "session",
                    "Type": "statemachine",
                    "OnActive": {
                        "IfFailed": {
                            "Visible": false
                        },
                        "IfCompleted": {
                            "Visible": false
                        }
                    },
                    "Definition": {
                        "States": {
                            "Start": {
                                "BodyHidden": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1132f96d-fc0e-48ce-bc8f-17baf112b6f8"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    }
                }, {
                    "Id": "ac949f8f-9ccb-46b6-9bb2-fdfeec25373c",
                    "IgnoreIfInactive": true,
                    "Activation": {
                        "$eq": ["$1cee5c4c-4049-4548-b55e-da3510e9b668", "Completed"]
                    },
                    "ObjectiveType": "custom",
                    "BriefingName": "Caruso's Goons",
                    "Image": "images/contracts/gamechangers/gamechanger_sapienza_guard_town.jpg",
                    "HUDTemplate": {
                        "display": "Kill or Pacify 4 Caruso henchmen in the town plaza"
                    },
                    "BriefingText": "Kill or Pacify 4 Caruso henchmen in the town plaza",
                    "LongBriefingText": "Caruso has sent his goons into the town to keep a watchful eye over the townsfolk and the church where the Concerned Citizens often congregate. Their presence in the town is not welcome and these henchmen must be dealt with one way or the other\r\r",
                    "Type": "statemachine",
                    "Definition": {
                        "ContextListeners": {
                            "PacifiedCounter": {
                                "type": "objective-counter",
                                "header": "UI_CONTRACT_HAWK_Objective_Remaining",
                                "deactivate": 0
                            }
                        },
                        "Context": {
                            "Scope": "hit",
                            "Targets": ["dd77bf34-3c45-4d17-9090-d7239fcc9e69", "045c0890-76eb-435e-9b87-90ca481646e6", "12927ca1-1792-43bf-b698-9954c3f28172", "f01a1ec3-b038-401f-9248-98fb171ab4d0", "9cff47b0-c5b5-479f-a10a-aa5fcc7b4ed2", "a1df1adf-9fe1-4122-b95f-d6e3b367fca5", "bd991e95-15d2-46d2-b3ca-1d31111f03f4"],
                            "PacifiedCounter": 4,
                            "Dealt": [],
                            "Goal": 0,
                            "ForceUpdateCounters": 0
                        },
                        "States": {
                            "Start": {
                                "-": {
                                    "Condition": {
                                        "$eq": ["$.ForceUpdateCounters", 0]
                                    },
                                    "Actions": {
                                        "$inc": "ForceUpdateCounters"
                                    }
                                },
                                "Pacify": [{
                                        "Actions": {
                                            "$pushunique": ["Dealt", "$Value.RepositoryId"],
                                            "$dec": "PacifiedCounter"
                                        },
                                        "Condition": {
                                            "$and": [{
                                            "$inarray": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                }
                                            }
                                        }, {
                                            "$not": {
                                                    "$inarray": {
                                                        "in": "$.Dealt",
                                                        "?": {
                                                            "$eq": ["$.#", "$Value.RepositoryId"]
                                                        }
                                                    }
                                                }
                                            }
                                        ]
                                    }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.PacifiedCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "Kill": [{
                                        "Actions": {
                                            "$dec": "PacifiedCounter"
                                        },
                                        "Condition": {
                                            "$and": [{
                                            "$inarray": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                }
                                            }
                                        }, {
                                            "$not": {
                                                    "$inarray": {
                                                        "in": "$.Dealt",
                                                        "?": {
                                                            "$eq": ["$.#", "$Value.RepositoryId"]
                                                        }
                                                    }
                                                }
                                            }
                                        ]
                                    }
                                    }, 	{
                                        "Condition": {
                                            "$eq": ["$.PacifiedCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                }, {
                    "ObjectiveType": "custom",
                    "IgnoreIfInactive": true,
                    "UpdateActivationWhileCompleted": true,
                    "Type": "statemachine",
                    "Id": "142da629-8b7b-4338-b8f5-e95462c30207",
                    "Image": "images/ruddy/cyasapi_padre.jpg",
                    "Activation": {
                        "$eq": ["$d4f5c7da-073b-4ab7-9471-5cad3ac060bf", "Completed"]
                    },
                    "BriefingName": "$($repository c823beec-3d73-47b6-87d9-076c384c4662).Name",
                    "BriefingText": "Eliminate Padre Francesco, or knock out his 4 church staff as a warning.",
                    "HUDTemplate": {
                        "display": "Eliminate Padre Francesco, or knock out his 4 church staff as a warning"
                    },
                    "LongBriefingText": "Padre Francesco is one of the leaders of Sapienza's 'Concerened Citizens'. He has made his objection to Caruso's presence in town clear and has been organising protests and boycotts. It would be a lot easier for Mr. Caruso if he was taken out of the picture. If not killed then he needs to be sent a strong message, knocking out his staff should suffice; not gardeners though, he doesn't care about his gardeners.",
                    "Category": "primary",
                    "Definition": {
                        "Scope": "Session",
                        "Context": {
                            "Targets": ["c823beec-3d73-47b6-87d9-076c384c4662"],
                            "PTargets": ["08c3b5e8-8aff-4306-a9f9-eaeb076b22a9", "2af0e3d2-86d6-421a-95d8-5dacb67cae60", "e903a027-8c73-434d-978e-579c804480b4", "6aeab464-6e6e-4a37-a858-a3e134db672f"],
                            "Pacified": []
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "c823beec-3d73-47b6-87d9-076c384c4662"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "Pacify": [{
                                        "Actions": {
                                            "$pushunique": ["Pacified", "$Value.RepositoryId"]
                                        }
                                    }, {
                                        "Condition": {
                                            "$all": {
                                                "in": "$.PTargets",
                                                "?": {
                                                    "$any": {
                                                        "in": "$.Pacified",
                                                        "?": {
                                                            "$eq": ["$.#", "$.##"]
                                                        }
                                                    }
                                                }
                                            }
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                }, {
                    "Id": "9f6793d7-ea94-46bc-836c-2c2f640d4202",
                    "Category": "primary",
                    "IgnoreIfInactive": true,
                    "Activation": {
                        "$eq": ["$142da629-8b7b-4338-b8f5-e95462c30207", "$d4f5c7da-073b-4ab7-9471-5cad3ac060bf", "Completed"]
                    },
                    "ObjectiveType": "custom",
                    "BriefingName": "Hack Laptop",
                    "Image": "images/contracts/gamechangers/Gamechanger_Sapienza_DataExtraction_Mansion.jpg",
                    "BriefingText": "Check De Santis' laptop for evidence of betrayal",
                    "HUDTemplate": {
                        "display": "Search De Santis' laptop for evidence",
                        "iconType": 17
                    },
                    "LongBriefingText": "Mr. Caruso suspects his chief scientist, Francesca De Santis, is trying to usurp him and take over the project for herself. He needs concrete evidence of her dealings before he decides to have her removed.",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Targets": ["bc73c390-3796-4d60-b080-75abc5924c59"]
                        },
                        "States": {
                            "Start": {
                                "LaptopHacked": {
                                    "Transition": "Success"
                                },
                                "Laptop_Destroyed": {
                                    "Transition": "Failure"
                                }
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                }, {
                    "_comment": "----- De Santis Email Display -----",
                    "Id": "5d7404dd-ccbc-4a55-896e-1cf790fb16d5",
                    "Category": "secondary",
                    "IgnoreIfInactive": true,
                    "Activation": {
                        "$eq": ["$9f6793d7-ea94-46bc-836c-2c2f640d4202", "Completed"]
                    },
                    "ObjectiveType": "custom",
                    "BriefingName": "Email",
                    "Image": "images/contracts/gamechangers/Gamechanger_Sapienza_DataExtraction_Mansion.jpg",
                    "BriefingText": "You've read Francesca's emails",
                    "HUDTemplate": {
                        "display": "Email to Ether: De Santis is making a move against Caruso",
                        "iconType": 7
                    },
                    "LongBriefingText": "De Santis has a plan in motion to remove Caruso from his own project and take his place, it is unclear whether she has Ether's support yet",
                    "Definition": {
                        "Context": {
                        },
                        "States": {
                            "Start": {
                                "$timer": {
                                    "Condition": {
                                        "$after": 5
                                    },
                                    "Transition": "Success"
                                }
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "14e41bce-ae6d-4b7b-8e43-aa130cce17a6",
                    "IgnoreIfInactive": true,
                    "Activation": {
                        "$eq": ["$142da629-8b7b-4338-b8f5-e95462c30207", "$d4f5c7da-073b-4ab7-9471-5cad3ac060bf", "$9f6793d7-ea94-46bc-836c-2c2f640d4202", "Completed"]
                    },
                    "ObjectiveType": "custom",
                    "Image": "images/actors/world_of_tomorrow_francesca_de_santis_briefing.jpg",
                    "BriefingName": "Leadership Crisis",
                    "BriefingText": "Eliminate De Santis, show her the DNA sample Caruso has been keeping of her, or bring forward her plan by eliminating Caruso",
                    "HUDTemplate": {
                        "display": "Eliminate De Santis \rexpose Caruso by showing De Santis the DNA sample he has of her\ror eliminate Caruso to help her plan"
                    },
                    "LongBriefingText": "The evidence on her laptop proves Francesca De Santis is ready to move against Mr. Caruso, he wants her eliminated. \r\rAlternatively, you could show her the DNA sample Caruso has been keeping of her if you wanted her to be in charge of the project peacefully, or kill Caruso and she will lead the project by default.",
                    "Category": "primary",
                    "Scope": "hit",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Targets": ["94ab740b-b30f-4086-9aea-5c9c0de28456"]
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "94ab740b-b30f-4086-9aea-5c9c0de28456"]
                                        },
                                        "Transition": "Success"
                                    },  {
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "0dfaea51-3c36-4722-9eff-f1e7ef139878"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                 "Level_Setup_Events": {
                                    "Condition": {
                                        "$eq": ["$Value.Event_metricvalue", "DNA_Delivered"]
                                    },
                                    "Transition": "Success"
                                }
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                }, {
                    "Id": "4a9ee335-bb2e-4092-b1fe-96e833266f67",
                    "ObjectiveType": "custom",
                    "IgnoreIfInactive": true,
                    "Activation": {
                        "$eq": ["$ac949f8f-9ccb-46b6-9bb2-fdfeec25373c", "$1cee5c4c-4049-4548-b55e-da3510e9b668", "Completed"]
                    },
                    "Image": "images/contracts/gamechangers/Gamechanger_Sapienza_DataExtraction_Lab.jpg",
                    "BriefingName": "Gather Evidence",
                    "BriefingText": "Gather evidence from the labratory or De Santis' office computer",
                    "HUDTemplate": {
                        "display": "Gather evidence from the labratory or De Santis' office computer",
                        "iconType": 17
                    },
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Targets": ["23e0a54d-5927-4a7f-8305-3c24821a56dc"]
                        },
                        "States": {
                            "Start": {
                                "LaptopHacked": {
                                    "Transition": "Success"
                                },
                                "Laptop_Destroyed": {
                                    "Transition": "Failure"
                                }
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                }, {
                    "Id": "0cccbea8-cf5e-443c-aa7f-6c5114ee5d5d",
                    "IgnoreIfInactive": true,
                    "Activation": {
                        "$eq": ["$1cee5c4c-4049-4548-b55e-da3510e9b668", "$ac949f8f-9ccb-46b6-9bb2-fdfeec25373c", "$4a9ee335-bb2e-4092-b1fe-96e833266f67", "Completed"]
                    },
                    "ObjectiveType": "custom",
                    "Image": "images/actors/world_of_tomorrow_silvio_caruso_briefing.jpg",
                    "BriefingName": "Deal with Caruso",
                    "BriefingText": "Kill Silvio Caruso or put him in a container for a team to extract and arrest",
                    "HUDTemplate": {
                        "display": "Eliminate Silvio Caruso, or pacify and stash him in a container for extraction"
                    },
                    "LongBriefingText": "Eliminate Silvio Caruso, or with the evidence you've gathered you could subdue him and put him in a container for a team to extract and arrest him. There's enough evidence to put him away for life.",
                    "Category": "primary",
                    "Scope": "hit",
                    "Type": "statemachine",
                    "Definition": {
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "0dfaea51-3c36-4722-9eff-f1e7ef139878"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "0dfaea51-3c36-4722-9eff-f1e7ef139878"]
                                                },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                }, {
                    "Id": "1",
                    "Activation": {
                        "$eq": ["$4", "Completed"]
                    },
                    "ObjectiveType": "custom",
                    "Image": "images/store/upgrade_holiday_sapienza.jpg",
                    "BriefingName": "Exit Music",
                    "BriefingText": "This hidden objective is so exit music doesn't play the whole time",
                    "HUDTemplate": {
                        "display": "You shouldn't be able to see this... please contact KevinRudd on HitmanForum if you do, so he can fix it."
                    },
                    "LongBriefingText": "Basically, even though you're given a new objective straight after completing the previous one, for a split second the game thinks there are no more objectives and so plays the exit music, for the whole damn mission. If I put this invisible objective here for the whole game, then this won't happen. But the exit music will play once you kill De Santis or Caruso, get the DNA, or capture Caruso.",
                    "Category": "primary",
                    "Scope": "session",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Targets": []
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "0dfaea51-3c36-4722-9eff-f1e7ef139878"]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "94ab740b-b30f-4086-9aea-5c9c0de28456"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "Level_Setup_Events": {
                                    "Condition": {
                                        "$eq": ["$Value.Event_metricvalue", "DNA_Delivered"]
                                    },
                                    "Transition": "Success"
                                },
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "0dfaea51-3c36-4722-9eff-f1e7ef139878"]
                                                },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": false
                        }
                    }
                }
            ],
            "GameDifficulties": [{
                    "Difficulty": "easy",
                    "Bricks": ["assembly:/_pro/scenes/missions/coastaltown/difficulty_easy_sapienza_octopus.brick"]
                }, {
                    "Difficulty": "normal",
                    "Bricks": ["assembly:/_PRO/Scenes/Missions/CoastalTown/Gamechangers_TownCameras.brick"]
                }, {
                    "Difficulty": "hard",
                    "Bricks": ["assembly:/_pro/scenes/missions/coastaltown/octopus_pro1.brick", "assembly:/_PRO/Scenes/Missions/CoastalTown/Gamechangers_TownCameras.brick"]
                }
            ],
            "Bricks": ["assembly:/_pro/scenes/missions/coastaltown/gamechanger_wild card_jasmine.brick", "assembly:/_pro/scenes/missions/coastaltown/gamechangers_beach_and_square_civilians_are_guards.brick", "assembly:/_PRO/Scenes/Missions/CoastalTown/Gamechangers_HackableLaptop_Mansion.brick", "assembly:/_PRO/Scenes/Missions/CoastalTown/gamechangers_hackablelaptop_lab.brick"],
            "GameChangers": [],
            "Entrances": ["a72bd197-f996-4e3b-b494-11f62296a2b3", "a73d92c4-cd4b-4bd2-9485-943aa613a79c", "c113315d-ffcc-4878-9e70-bb35aadf0211", "1c386bb9-aead-42c0-b604-ad560056ddf4", "4970aae5-e4c1-4d5c-a66a-0fc06616211b", "c27f76ca-ed71-4b2d-9b9d-693875df830c"]
        },
        "Metadata": {
            "CreatorUserId": "7545ee96-063a-49b6-a1d9-9fc2656e565b",
            "TileImage": "images/ruddy/cyasapi_tile.jpg",
            "Location": "LOCATION_COASTALTOWN",
            "Description": "DESC_CYAS",
            "Title": "UI_CYAS",
            "CodeName_Hint": "Octopus",
            "ScenePath": "assembly:/_PRO/Scenes/Missions/CoastalTown/_scene_octopus.entity",
            "IsPublished": true,
            "Id": "1336cbe4-164b-450f-ad2c-77dec88f53de",
            "CreationTimestamp": "2014-04-04T09:41:27.06Z",
            "LastUpdate": "2015-05-19T09:29:39.061Z",
            "Type": "flashback",
            "Subtype": "flashback",
            "Release": "1.1.x",
            "Entitlements": ["H1_LEGACY_STANDARD"],
            "Opportunities": ["3f6dea78-b0c4-4f29-961d-f7bb097b8be4", "ecf76aeb-d4b0-4b3b-8768-f209aff09476", "a725db5d-2564-4325-b38b-914426fff324", "d6bb64d2-5c4d-497e-8c23-ce36a4dffd16", "088e9238-6c4b-4644-934c-1d959706be2c", "f43fe0cb-9be7-4c3a-a0a3-c7e19f8e0f3e", "2d9530dd-843c-48d5-8964-2e67aa5d368f", "1eef2ba3-8139-46c3-b05b-018aa0d30d95", "0d24fffc-849c-4759-a86b-d8eebae95c4e", "27e773ad-ab9c-42a3-9e70-cde433b6f497"]
        },
        "UserData": {}
    },
    {
        "Data": {
            "Objectives": [
                {
                    "Id": "f9f212b8-71da-4489-98cf-cb242f36a9b9",
                    "ObjectiveType": "gamechanger",
                    "BriefingName": "Chaos Level",
                    "ExcludeFromScoring": true,
                    "Category": "secondary",
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "HUDTemplate": {
                        "display": "Chaos Level: Low",
                        "iconType": 7
                    },
                    "BriefingText": "You have not killed many people in Marrakesh",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "TargetsCounter": 0,
                            "Goal": 5
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "CrowdNPC_Died": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": false
                        }
                    }
                }, {
                    "Id": "8d2e7efa-e47d-4a5e-8e0d-4d768bfb6d38",
                    "ObjectiveType": "gamechanger",
                    "ExcludeFromScoring": true,
                    "Category": "secondary",
                    "Activation": {
                        "$eq": ["$f9f212b8-71da-4489-98cf-cb242f36a9b9", "Completed"]
                    },
                    "BriefingName": "Chaos Level",
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "HUDTemplate": {
                        "display": "Chaos Level: Medium",
                        "iconType": 8
                    },
                    "BriefingText": "You have killed a fair few people during your mission in Marrakesh",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Scope": "session",
                            "TargetsCounter": 0,
                            "Goal": 12
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "CrowdNPC_Died": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": false
                        }
                    }
                }, {
                    "Id": "8d2e7efa-e47d-4a5e-8e0d-4d768bfb6d31",
                    "ObjectiveType": "gamechanger",
                    "ExcludeFromScoring": true,
                    "Category": "secondary",
                    "Activation": {
                        "$eq": ["$8d2e7efa-e47d-4a5e-8e0d-4d768bfb6d38", "Completed"]
                    },
                    "BriefingName": "Chaos Level",
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "HUDTemplate": {
                        "display": "Chaos Level: High",
                        "iconType": 20
                    },
                    "BriefingText": "You have killed a lot of people during your mission in Marrakesh",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Scope": "session",
                            "TargetsCounter": 0,
                            "Goal": 40
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "CrowdNPC_Died": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": false
                        }
                    }
                },	{
                    "Id": "8d2e7efa-e47d-4a5e-8e0d-4d768bfb6d39",
                    "ObjectiveType": "gamechanger",
                    "ExcludeFromScoring": true,
                    "Category": "secondary",
                    "Activation": {
                        "$eq": ["$8d2e7efa-e47d-4a5e-8e0d-4d768bfb6d31", "Completed"]
                    },
                    "BriefingName": "Chaos Level",
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "HUDTemplate": {
                        "display": "Chaos Level: So high we don't have an icon for it",
                        "iconType": 2
                    },
                    "BriefingText": "You have killed a lot of people during your mission in Marrakesh",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Scope": "session",
                            "TargetsCounter": 0,
                            "Goal": 100
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Failure"
                                    }
                                ],
                                "CrowdNPC_Died": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", "$.Goal"]
                                        },
                                        "Transition": "Failure"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "a38cc8d6-a05b-4d51-93e0-5b4a3cefd826",
                    "Category": "primary",
                    "Primary": true,
                    "IsHidden": true,
                    "ExcludeFromScoring": true,
                    "ObjectiveType": "custom",
                    "ForceShowOnLoadingScreen": true,
                    "BriefingName": "Choose A Faction",
                    "Image": "images/Ruddy/CYAM_Obj1.jpg",
                    "HUDTemplate": {
                        "display": "Deal with the Protest leader \rOr deal with the embassy head of security"
                    },
                    "BriefingText": "Crystal Dawn: Kill, or pacify and hide the protest leader \r\rArab Spring: Kill, or subdue and hide the embassy's head of security",
                    "LongBriefingText": "The Arab Spring movement is trying to use the Strandberg incident to make political change in the country, as well as enact justice for Morocco; however they cannot do this if Strandberg's escape is arranged by the consulate's head of security, Hilda Berg, so make sure she's unable to do that. You can find her on a rooftop somewhere in Marrakesh.\r\rAlternatively, Crystal Dawn is willing to give us considerable money to take care of their interests during this situation, but they do not want the democracy protesters to get their way and want the leader dealt with.",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "KilledActors": [],
                            "Targets": ["9ee25107-46b2-4cfa-a3e0-bf752bc4cd8e", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "9ee25107-46b2-4cfa-a3e0-bf752bc4cd8e"]
                                                },
                                        "Transition": "Success"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "Pacify": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "9ee25107-46b2-4cfa-a3e0-bf752bc4cd8e"]
                                        },
                                        "Actions": {
                                        "$remove": ["Targets", "$Value.RepositoryId"]
                                        }
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                        },
                                        "Actions": {
                                        "$remove": ["Targets", "$Value.RepositoryId"]
                                        }
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "9ee25107-46b2-4cfa-a3e0-bf752bc4cd8e"]
                                                },
                                        "Transition": "Success"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    }
                }, {
                    "Id": "d4f5c7da-073b-4ab7-9471-5cad3ac060bf",
                    "_comment": "----- Protest Leader -----",
                    "Category": "secondary",
                    "ExcludeFromScoring": true,
                    "Scope": "session",
                    "Type": "statemachine",
                    "OnActive": {
                        "IfFailed": {
                            "Visible": false
                        },
                        "IfCompleted": {
                            "Visible": false
                        }
                    },
                    "Definition": {
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "9ee25107-46b2-4cfa-a3e0-bf752bc4cd8e"]
                                        },
                                        "Transition": "Success"
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                        },
                                        "Transition": "Failure"
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "9ee25107-46b2-4cfa-a3e0-bf752bc4cd8e"]
                                                },
                                        "Transition": "Success"
                                    },	{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                                },
                                        "Transition": "Failure"
                                    }
                                ]
                            }
                        }
                    }
                }, {
                    "Id": "1cee5c4c-4049-4548-b55e-da3510e9b668",
                    "_comment": "----- Hilda Berg -----",
                    "Category": "secondary",
                    "ExcludeFromScoring": true,
                    "Scope": "session",
                    "Type": "statemachine",
                    "Definition": {
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                        },
                                        "Transition": "Success"
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "9ee25107-46b2-4cfa-a3e0-bf752bc4cd8e"]
                                        },
                                        "Transition": "Failure"
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "9ee25107-46b2-4cfa-a3e0-bf752bc4cd8e"]
                                                },
                                        "Transition": "Failure"
                                    },	{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                                },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    }
                },	{
                    "Id": "da78acc6-60c7-4c9f-a06c-901f0ba4cedf",
                    "IgnoreIfInactive": true,
                    "Category": "primary",
                    "Activation": {
                        "$eq": ["$d4f5c7da-073b-4ab7-9471-5cad3ac060bf", "Completed"]
                    },
                    "ObjectiveType": "custom",
                    "BriefingName": "Imposters",
                    "Image": "images/opportunities/marrakesh/spider/marrakesh_opportunity_printingpress.jpg",
                    "HUDTemplate": {
                        "display": "Eliminate the fake Crystal Dawn crew"
                    },
                    "BriefingText": "Eliminate the fake Crystal Dawn crew",
                    "LongBriefingText": "General Reza Zaydan has hired men to pose as Crystal Dawn members and spread misinformation during the crisis. This cannot be allowed to happen and they must all be sent an unequivocal message that no one misrepresents Crystal Dawn and their beliefs. Kill them all.",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "KilledActors": [],
                            "Targets": ["33422a18-9ed1-4d43-9fdf-da7e7193e0d9", "6f862816-5107-44b0-a0f8-cd3c88178c22", "a35845bf-5004-47c0-a78f-cf0885c95f0b", "4edc1667-0b3a-42c8-8ac2-09e0b179d263"],
                            "TargetsCounter": 0
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Actions": {
                                            "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                        }
                                    }, {
                                        "Actions": {
                                            "$dec": "TargetsCounter"
                                        },
                                        "Condition": {
                                            "$inarray": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                }
                                            }
                                        }
                                    }, {
                                        "Condition": {
                                            "$all": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$any": {
                                                        "in": "$.KilledActors",
                                                        "?": {
                                                            "$eq": ["$.#", "$.##"]
                                                        }
                                                    }
                                                }
                                            }
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "ContractLoad": [{
                                        "Actions": {
                                            "$set": ["TargetsCounter", "$.TargetsCounter"]
                                        }
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "ac949f8f-9ccb-46b6-9bb2-fdfeec25373c",
                    "IgnoreIfInactive": true,
                    "Category": "primary",
                    "Activation": {
                        "$eq": ["$1cee5c4c-4049-4548-b55e-da3510e9b668", "Completed"]
                    },
                    "ObjectiveType": "custom",
                    "BriefingName": "Army Presence",
                    "Image": "images/opportunities/marrakesh/spider/marrakesh_opportunity_headmasterdoor.jpg",
                    "HUDTemplate": {
                        "display": "Kill the officers or pacify 10 soldiers"
                    },
                    "BriefingText": "Kill the four officers or pacify 10 soldiers",
                    "LongBriefingText": "If the democracy movement is to have any success, the military based in the area will need to be weakened or they'll just crush the protesters. Either take out all the officers, or subdue 10 soldiers around the city",
                    "Type": "statemachine",
                    "Definition": {
                        "ContextListeners": {
                            "PacifiedCounter": {
                                "type": "objective-counter",
                                "header": "UI_CONTRACT_TORENIA_PACIFY_HEAD",
                                "deactivate": 0
                            }
                        },
                        "Context": {
                            "Scope": "hit",
                            "Targets": ["ed4d39e0-98ce-4146-9e06-c668447485d7", "f60f49d6-9fca-41b1-9517-4bcfe42bf705", "18bd15f9-dc81-4783-9dde-c005abec7198", "b542b0fe-36d2-4cde-88ff-345acf95909c"],
                            "PacifiedCounter": 0,
                            "Dealt": [],
                            "KilledActors": [],
                            "Goal": 10,
                            "ForceUpdateCounters": 0
                        },
                        "States": {
                            "Start": {
                                "-": {
                                    "Condition": {
                                        "$eq": ["$.ForceUpdateCounters", 0]
                                    },
                                    "Actions": {
                                        "$inc": "ForceUpdateCounters"
                                    }
                                },
                                "Pacify": [{
                                        "Actions": {
                                            "$pushunique": ["Dealt", "$Value.RepositoryId"],
                                            "$inc": "PacifiedCounter"
                                        },
                                        "Condition": {
                                            "$and": [{
                                                "$eq": ["$Value.ActorType", 1]
                                            }, {
                                            "$not": {
                                                    "$inarray": {
                                                        "in": "$.Dealt",
                                                        "?": {
                                                            "$eq": ["$.#", "$Value.RepositoryId"]
                                                            }
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.PacifiedCounter", "$.Goal"]
                                        },
                                        "Actions": {
                                            "$set": ["PacifiedCounter", 0]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "Kill": [{
                                        "Actions": {
                                            "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                        }
                                    },	{
                                        "Condition": {
                                            "$all": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$any": {
                                                        "in": "$.KilledActors",
                                                        "?": {
                                                            "$eq": ["$.#", "$.##"]
                                                        }
                                                    }
                                                }
                                            }
                                        },
                                        "Actions": {
                                            "$set": ["PacifiedCounter", 0]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "179a2ae0-d8ce-4922-b7bf-e29bb50de5dc",
                    "_comment": "----- Saber vs Bombs -----",
                    "Activation": {
                        "$eq": ["$d4f5c7da-073b-4ab7-9471-5cad3ac060bf", "$da78acc6-60c7-4c9f-a06c-901f0ba4cedf", "Completed"]
                    },
                    "IgnoreIfInactive": true,
                    "Category": "primary",
                    "ObjectiveType": "custom",
                    "Image": "images/ruddy/CYAM_SwordBomb.jpg",
                    "BriefingName": "Retrieve",
                    "HUDTemplate": {
                        "display": "Obtain 3 non-ICA explosives for bombing terror, \ror a saber for a stabbing spree",
                        "iconType": 17
                    },
                    "BriefingText": "Obtain 3 non-ICA explosives if you wish to go down an explosive path, or a saber if you wish to go on a stabbing spree",
                    "LongBriefingText": "For the signature phase of Crystal Dawn's campaign of terror in Marrakesh you will need to carry out either a series of explosions, or a series of executions with a sword. If you wish to go the bombing route, it's best not to use ICA explosive as we want no possible trace back to us; grab at least three, any more explosions you need can be done with destroying cars, propane tanks, etc.",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "Bomb": 0,
                            "Goal": 3,
                            "ForceUpdateCounters": 0
                        },
                        "States": {
                            "Start": {
                                "ItemPickedUp": [{
                                    "Condition": {
                                        "$eq": ["$Value.RepositoryId", "94f52181-b9ec-4363-baef-d53b4e424b74"]
                                    },
                                    "Transition": "Success"
                                },	{
                                    "Actions": {
                                            "$inc": "Bomb"
                                    },
                                    "Condition": {
                                            "$eq": ["$Value.RepositoryId", "7c691c03-7c6b-4eb4-9a68-898efe5eedaa"]
                                            },
                                    "Transition": "CheckCount"
                                    }
                                ],
                                "ItemRemovedFromInventory": [{
                                        "Actions": {
                                            "$dec": "Bomb"
                                        },
                                        "Condition": {
                                                "$eq": ["$Value.RepositoryId", "7c691c03-7c6b-4eb4-9a68-898efe5eedaa"]
                                            }
                                        }
                                    ],
                                "ItemDropped": [{
                                        "Actions": {
                                            "$dec": "Bomb"
                                        },
                                        "Condition": {
                                                "$eq": ["$Value.RepositoryId", "7c691c03-7c6b-4eb4-9a68-898efe5eedaa"]
                                            }
                                        }
                                    ]
                            },
                            "CheckCount": {
                                "-": [{
                                        "Condition": {
                                            "$eq": ["$.Bomb", 3]
                                        },
                                        "Actions": {
                                            "$set": ["Bomb", 0]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "179a2ae0-d8ce-4922-b7bf-e29bb50de5db",
                    "_comment": "----- Bombs -----",
                    "IgnoreIfInactive": true,
                    "Category": "secondary",
                    "ExcludeFromScoring": true,
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "Bomb": 0,
                            "Goal": 3,
                            "ForceUpdateCounters": 0
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                        },
                                        "Transition": "Failure"
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                                },
                                        "Transition": "Failure"
                                    }
                                ],
                                "ItemPickedUp": [{
                                    "Condition": {
                                        "$eq": ["$Value.RepositoryId", "94f52181-b9ec-4363-baef-d53b4e424b74"]
                                    },
                                    "Transition": "Failure"
                                    },	{
                                    "Actions": {
                                            "$inc": "Bomb"
                                    },
                                    "Condition": {
                                            "$eq": ["$Value.RepositoryId", "7c691c03-7c6b-4eb4-9a68-898efe5eedaa"]
                                            },
                                    "Transition": "CheckCount"
                                    }
                                ],
                                "ItemRemovedFromInventory": [{
                                        "Actions": {
                                            "$dec": "Bomb"
                                        },
                                        "Condition": {
                                                "$eq": ["$Value.RepositoryId", "7c691c03-7c6b-4eb4-9a68-898efe5eedaa"]
                                            }
                                        }
                                    ],
                                "ItemDropped": [{
                                        "Actions": {
                                            "$dec": "Bomb"
                                        },
                                        "Condition": {
                                                "$eq": ["$Value.RepositoryId", "7c691c03-7c6b-4eb4-9a68-898efe5eedaa"]
                                            }
                                        }
                                    ]	
                                },
                            "CheckCount": {
                                "-": [{
                                        "Condition": {
                                            "$eq": ["$.Bomb", 3]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "bd19aebb-ea33-4a7e-ba4f-21ea5ce7f9c0",
                    "_comment": "----- Saber -----",
                    "IgnoreIfInactive": true,
                    "Activation": {
                        "$eq": ["$d4f5c7da-073b-4ab7-9471-5cad3ac060bf", "$da78acc6-60c7-4c9f-a06c-901f0ba4cedf", "Completed"]
                    },
                    "Category": "secondary",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "Bimb": 0,
                            "Goal": 3,
                            "ForceUpdateCounters": 0
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                        },
                                        "Transition": "Failure"
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "1e142575-830c-4e58-8bdb-8d39b613e406"]
                                                },
                                        "Transition": "Failure"
                                    }
                                ],
                                "ItemPickedUp": [{
                                    "Condition": {
                                        "$eq": ["$Value.RepositoryId", "94f52181-b9ec-4363-baef-d53b4e424b74"]
                                    },
                                    "Transition": "Success"
                                    },	{
                                    "Actions": {
                                            "$inc": "Bimb"
                                    },
                                    "Condition": {
                                            "$eq": ["$Value.RepositoryId", "7c691c03-7c6b-4eb4-9a68-898efe5eedaa"]
                                            },
                                    "Transition": "CheckCount"
                                    }
                                ],
                                "ItemRemovedFromInventory": [{
                                        "Actions": {
                                            "$dec": "Bimb"
                                        },
                                        "Condition": {
                                                "$eq": ["$Value.RepositoryId", "7c691c03-7c6b-4eb4-9a68-898efe5eedaa"]
                                            }
                                        }
                                    ],
                                "ItemDropped": [{
                                        "Actions": {
                                            "$dec": "Bimb"
                                        },
                                        "Condition": {
                                                "$eq": ["$Value.RepositoryId", "7c691c03-7c6b-4eb4-9a68-898efe5eedaa"]
                                            }
                                        }
                                    ]	
                                },
                            "CheckCount": {
                                "-": [{
                                        "Condition": {
                                            "$eq": ["$.Bimb", 3]
                                        },
                                        "Transition": "Failure"
                                    }, 	{
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "ac949f8f-9ccb-46b6-9bb2-fdfeec25373d",
                    "_comment": "----- Final: Bomb Spree -----",
                    "Activation": {
                        "$eq": ["$d4f5c7da-073b-4ab7-9471-5cad3ac060bf", "$da78acc6-60c7-4c9f-a06c-901f0ba4cedf", "$179a2ae0-d8ce-4922-b7bf-e29bb50de5db", "Completed"]
                    },
                    "IgnoreIfInactive": true,
                    "Category": "primary",
                    "ObjectiveType": "custom",
                    "BriefingName": "Bombing",
                    "Image": "images/unlockables/item_perspective_7c691c03-7c6b-4eb4-9a68-898efe5eedaa_0.jpg",
                    "HUDTemplate": {
                        "display": "Kill 7 people in any explosions"
                    },
                    "BriefingText": "Kill 7 people in any explosions",
                    "LongBriefingText": "You've chosen to go for a good old fashioned bombing. Kill seven people around Marrakesh using any type of explosion, accident or not",
                    "Type": "statemachine",
                    "Definition": {
                        "ContextListeners": {
                            "PacifiedCounter": {
                                "type": "objective-counter",
                                "header": "UI_MENU_MATCH_STATS_NPC_KILLS",
                                "deactivate": 0
                            }
                        },
                        "Context": {
                            "Scope": "hit",
                            "Targets": [],
                            "PacifiedCounter": 0,
                            "Goal": 7,
                            "ForceUpdateCounters": 0
                        },
                        "States": {
                            "Start": {
                                "-": {
                                    "Condition": {
                                        "$eq": ["$.ForceUpdateCounters", 0]
                                    },
                                    "Actions": {
                                        "$inc": "ForceUpdateCounters"
                                    }
                                },
                                "Kill": [{
                                        "Actions": {
                                            "$inc": "PacifiedCounter"
                                        },
                                        "Condition": {
                                                "$eq": ["$Value.Explosive", true]
                                            },
                                        "Transition": "CheckCount"
                                        }
                                    ]
                                },
                            "CheckCount": {
                                "-": [{
                                        "Condition": {
                                            "$eq": ["$.PacifiedCounter", "$.Goal"]
                                        },
                                        "Actions": {
                                            "$set": ["PacifiedCounter", 0]
                                        },
                                        "Transition": "Success"
                                    },	{
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "ac949f8f-9ccb-46b6-9bb2-fdfeec25373e",
                    "_comment": "----- Final Saber Spree -----",
                    "Activation": {
                        "$eq": ["$d4f5c7da-073b-4ab7-9471-5cad3ac060bf", "$da78acc6-60c7-4c9f-a06c-901f0ba4cedf", "$bd19aebb-ea33-4a7e-ba4f-21ea5ce7f9c0", "Completed"]
                    },
                    "IgnoreIfInactive": true,
                    "Category": "primary",
                    "ObjectiveType": "custom",
                    "BriefingName": "Killing Spree",
                    "Image": "images/unlockables/item_perspective_94f52181-b9ec-4363-baef-d53b4e424b74_0.jpg",
                    "HUDTemplate": {
                        "display": "Kill 10 civillians with a saber"
                    },
                    "BriefingText": "Kill 10 civillians with a saber",
                    "LongBriefingText": "You've chosen to go for a stabbing attack; kill 10 civillians with the saber and your work will be done",
                    "Type": "statemachine",
                    "Definition": {
                        "ContextListeners": {
                            "PacifiedCounter": {
                                "type": "objective-counter",
                                "header": "UI_MENU_MATCH_STATS_NPC_KILLS",
                                "deactivate": 0
                            }
                        },
                        "Context": {
                            "Scope": "hit",
                            "PacifiedCounter": 0,
                            "Goal": 10,
                            "ForceUpdateCounters": 0
                        },
                        "States": {
                            "Start": {
                                "-": {
                                    "Condition": {
                                        "$eq": ["$.ForceUpdateCounters", 0]
                                    },
                                    "Actions": {
                                        "$inc": "ForceUpdateCounters"
                                    }
                                },
                                "Kill": [{
                                        "Actions": {
                                            "$inc": "PacifiedCounter"
                                        },
                                        "Condition": {
                                        "$and": [{
                                                "$eq": ["$Value.ActorType", 0]
                                            }, {
                                                "$eq": ["$Value.KillItemRepositoryId", "94f52181-b9ec-4363-baef-d53b4e424b74"]
                                            }]
                                        },
                                        "Transition": "CheckCount"
                                    }
                                ]
                            },
                            "CheckCount": {
                                "-": [{
                                        "Condition": {
                                            "$eq": ["$.PacifiedCounter", "$.Goal"]
                                        },
                                        "Actions": {
                                            "$set": ["PacifiedCounter", 0]
                                        },
                                        "Transition": "Success"
                                    },	{
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "53e037b5-4ecb-4189-ab79-4f7fbc7bf3e1",
                    "_comment": "----- Zaydan's Plot -----",
                    "Category": "primary",
                    "Activation": {
                        "$eq": ["$1cee5c4c-4049-4548-b55e-da3510e9b668", "$ac949f8f-9ccb-46b6-9bb2-fdfeec25373c", "Completed"]
                    },
                    "IgnoreIfInactive": true,
                    "Primary": true,
                    "IsHidden": true,
                    "ExcludeFromScoring": true,
                    "ObjectiveType": "custom",
                    "ForceShowOnLoadingScreen": true,
                    "BriefingName": "Zaydan's Plot",
                    "Image": "images/challenges/marrakech/spider_zaydan_general.jpg",
                    "HUDTemplate": {
                        "display": "Obtain evidence of the Zaydan-Strandberg plot \rOr eliminate Zaydan as a last resort"
                    },
                    "BriefingText": "Obtain evidence of the Zaydan-Strandberg plot. \rOr eliminate Zaydan, though this is not ideal",
                    "LongBriefingText": "Arab Spring just needs proof of Zaydan's involvement in the current political crisis, and he will be put on trial before the Moroccan people. There's sure to be a trail somewhere in Zaydan's compound, or maybe even Strandberg has something in the consulate. \r\rIf this cannot be done then eliminate Zaydan as our best chance to stop the army clamping down on the protesters; however without evidence from Zaydan, Strandberg will have to be captured and kept alive to expose the plot.",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "Targets": ["ca31c88f-d15e-407b-8407-231f1b068402", "575f52db-976a-4824-92ca-379fac456515", "9b83081d-1d1e-4191-99da-3c5c5d005a4b", "b8cc729a-1a80-4e63-97c9-adfc26954afe"]
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "ca31c88f-d15e-407b-8407-231f1b068402"]
                                                },
                                        "Transition": "Success"
                                    }
                                ],
                                "ItemPickedUp": {
                                    "Condition": {
                                        "$eq": ["$Value.RepositoryId", "e80b2d45-6c46-4f3d-8328-d24cd6251db4"]
                                    },
                                    "Transition": "Success"
                                },
                                "LaptopHacked": {
                                    "Transition": "Success"
                                }
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "bd19aebb-ea33-4a7e-ba4f-21ea5ce7f9c1",
                    "_comment": "----- Killing Zaydan -----",
                    "Activation": {
                        "$eq": ["$1cee5c4c-4049-4548-b55e-da3510e9b668", "$ac949f8f-9ccb-46b6-9bb2-fdfeec25373c", "Completed"]
                    },
                    "IgnoreIfInactive": true,
                    "Category": "secondary",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "ca31c88f-d15e-407b-8407-231f1b068402"]
                                                },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "bd19aebb-ea33-4a7e-ba4f-21ea5ce7f9c2",
                    "_comment": "----- Evidence Obtained -----",
                    "Activation": {
                        "$eq": ["$1cee5c4c-4049-4548-b55e-da3510e9b668", "$ac949f8f-9ccb-46b6-9bb2-fdfeec25373c", "Completed"]
                    },
                    "IgnoreIfInactive": true,
                    "Category": "secondary",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "ca31c88f-d15e-407b-8407-231f1b068402"]
                                                },
                                        "Transition": "Failure"
                                    }
                                ],
                                "ItemPickedUp": {
                                    "Condition": {
                                        "$eq": ["$Value.RepositoryId", "e80b2d45-6c46-4f3d-8328-d24cd6251db4"]
                                    },
                                    "Transition": "Success"
                                },
                                "LaptopHacked": {
                                    "Transition": "Success"
                                }
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "53e037b5-4ecb-4189-ab79-4f7fbc7bf3e0",
                    "_comment": "----- Strandberg Choice -----",
                    "Activation": {
                        "$eq": ["$1cee5c4c-4049-4548-b55e-da3510e9b668", "$ac949f8f-9ccb-46b6-9bb2-fdfeec25373c", "$bd19aebb-ea33-4a7e-ba4f-21ea5ce7f9c2", "Completed"]
                    },
                    "Category": "secondary",
                    "IgnoreIfInactive": true,
                    "IsHidden": true,
                    "Primary": true,
                    "ExcludeFromScoring": true,
                    "ObjectiveType": "custom",
                    "DisplayAsKillObjective": true,
                    "ForceShowOnLoadingScreen": true,
                    "BriefingName": "Claus Strandberg",
                    "Image": "images/challenges/marrakech/spider_stranberg_banker.jpg",
                    "HUDTemplate": {
                        "display": "Capture Strandberg in the box in consulate parking storage \rOr \reliminate him"
                    },
                    "BriefingText": "Subdue Strandberg and get him to the crate in the consulate car park maintenance room \rOr since Zaydan will be facing trial now, you can just eliminate Strandberg",
                    "LongBriefingText": "You now have the evidence of the Zaydan-Strandberg plot, and with Zaydan still alive he'll be trialled and dealt with by the people. Our client would like Strandberg subdued and put the crate of the consulate parking maintenance room for one of their contacts to retrieve, but since Zaydan was the mastermind and will now be facing justice it wouldn't be the end of the world if Strandberg was just eliminated.",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "Targets": ["b7e352e5-d328-4555-b752-4192fcd662ee", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"],
                            "BodyCount": 0,
                            "BodyCountGoal": 2
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                                },
                                        "Transition": "Success"
                                    },	{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "ca31c88f-d15e-407b-8407-231f1b068402"]
                                                },
                                        "Transition": "Failure"
                                    }
                                ],
                                "Pacify": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                        },
                                        "Actions": {
                                        "$remove": ["Targets", "$Value.RepositoryId"]
                                        }
                                    }
                                ],
                                "setpieces": [{
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.name_metricvalue", "HideBody"]
                                                }, {
                                                    "$eq": ["$Value.RepositoryId", "b7e352e5-d328-4555-b752-4192fcd662ee"]
                                                }
                                            ]
                                        },
                                        "Actions": {
                                            "$inc": "BodyCount"
                                        },
                                        "Transition": "ValidBody"
                                    },	{
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.name_metricvalue", "HideBody"]
                                                }, {
                                                    "$not": {
                                                            "$eq": ["$Value.RepositoryId", "b7e352e5-d328-4555-b752-4192fcd662ee"]
                                                    }
                                                }
                                            ]
                                        },
                                        "Transition": "InvalidBody"
                                    }
                                ]
                            },
                            "ValidBody": {
                                "BodyHidden": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.BodyCount", "$.BodyCountGoal"]
                                        },
                                        "Transition": "Failure"
                                    }, {
                                        "Transition": "Start"
                                    }
                                ]
                            },
                            "InvalidBody": {
                                "BodyHidden": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                        },
                                        "Transition": "Failure"
                                    }, {
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        },
                        "IfFailed": {
                            "Visible": false
                        }
                    }
                },	{
                    "Id": "b5d88fb0-5fd4-463a-88bb-85f18a3a1570",
                    "_comment": "----- Strandberg Capture -----",
                    "Activation": {
                        "$or": [{
                            "$eq": ["$1cee5c4c-4049-4548-b55e-da3510e9b668", "$ac949f8f-9ccb-46b6-9bb2-fdfeec25373c", "$bd19aebb-ea33-4a7e-ba4f-21ea5ce7f9c1", "Completed"]
                            }, {
                            "$eq": ["$53e037b5-4ecb-4189-ab79-4f7fbc7bf3e0", "Failed"]
                            }
                        ]
                    },
                    "Category": "primary",
                    "IgnoreIfInactive": true,
                    "IsHidden": true,
                    "Primary": true,
                    "ExcludeFromScoring": true,
                    "ObjectiveType": "custom",
                    "ForceShowOnLoadingScreen": true,
                    "BriefingName": "Capture Strandberg",
                    "Image": "images/contracts/escalation/ContractEscalation_Marrakesh_Salvia_Objective_HideBody.jpg",
                    "HUDTemplate": {
                        "display": "Subdue Strandberg and place him in the box in consulate parking storage",
                        "iconType": 17
                    },
                    "BriefingText": "Subdue Strandberg and get him to the crate in the consulate car park maintenance room. \rDo not eliminate him",
                    "LongBriefingText": "With Zaydan dead it is imperative that Strandberg be kept alive to face trial; it's the only way left of exposing the whole situation and getting any political change. An Arab Spring contact will be waiting to collect an unconscious Strandberg from the consulate car park maintenance room. I suggest triggering an alarm to get Strandberg to come down to the basement. Don't screw this up",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "hit",
                        "Context": {
                            "Targets": ["b7e352e5-d328-4555-b752-4192fcd662ee", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"],
                            "BodyCount": 0,
                            "BodyCountGoal": 2
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                                },
                                        "Transition": "Failure"
                                    }
                                ],
                                "Pacify": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                        },
                                        "Actions": {
                                        "$remove": ["Targets", "$Value.RepositoryId"]
                                        }
                                    }
                                ],
                                "setpieces": [{
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.name_metricvalue", "HideBody"]
                                                }, {
                                                    "$eq": ["$Value.RepositoryId", "b7e352e5-d328-4555-b752-4192fcd662ee"]
                                                }
                                            ]
                                        },
                                        "Actions": {
                                            "$inc": "BodyCount"
                                        },
                                        "Transition": "ValidBody"
                                    },	{
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.name_metricvalue", "HideBody"]
                                                }, {
                                                    "$not": {
                                                            "$eq": ["$Value.RepositoryId", "b7e352e5-d328-4555-b752-4192fcd662ee"]
                                                    }
                                                }
                                            ]
                                        },
                                        "Transition": "InvalidBody"
                                    }
                                ]
                            },
                            "ValidBody": {
                                "BodyHidden": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.BodyCount", "$.BodyCountGoal"]
                                        },
                                        "Transition": "Failure"
                                    }, {
                                        "Transition": "Start"
                                    }
                                ]
                            },
                            "InvalidBody": {
                                "BodyHidden": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                        },
                                        "Transition": "Failure"
                                    }, {
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        },
                        "IfFailed": {
                            "State": "InProgress",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                },	{
                    "Id": "1",
                    "_comment": "----- Silent objective to stop exfiltration theme playing -----",
                    "Activation": {
                        "$eq": ["$a38cc8d6-a05b-4d51-93e0-5b4a3cefd826", "Completed"]
                    },
                    "ObjectiveType": "condition",
                    "Category": "primary",
                    "Scope": "session",
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Targets": [],
                            "SaberCount": 0,
                            "SGoal": 10,
                            "BombCount": 0,
                            "Goal": 7
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                        },
                                        "Transition": "Success"
                                    },	{
                                        "Actions": {
                                            "$inc": "SaberCount"
                                        },
                                        "Condition": {
                                        "$and": [{
                                                "$eq": ["$Value.ActorType", 0]
                                            }, {
                                                "$eq": ["$Value.KillItemRepositoryId", "94f52181-b9ec-4363-baef-d53b4e424b74"]
                                            }]
                                        },
                                        "Transition": "CheckCount"
                                    },	{
                                        "Actions": {
                                            "$inc": "BombCount"
                                        },
                                        "Condition": {
                                                "$eq": ["$Value.Explosive", true]
                                            },
                                        "Transition": "CheckCount"
                                    }
                                ],
                                "BodyHidden": [{
                                        "Condition": {
                                                    "$eq": ["$Value.RepositoryId", "b38b0b62-8071-4761-b2a5-2f635cd8da1b"]
                                                },
                                        "Transition": "Success"
                                    }
                                ]
                            },
                            "CheckCount": {
                                "-": [{
                                        "Condition": {
                                            "$eq": ["$.BombCount", "$.Goal"]
                                        },
                                        "Transition": "Success"
                                    },	{
                                        "Condition": {
                                            "$eq": ["$.SaberCount", "$.SGoal"]
                                        },
                                        "Transition": "Success"
                                    },	{
                                        "Transition": "Start"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": false
                        }
                    }
                }
            ],
            "GameDifficulties": [{
                    "Difficulty": "easy",
                    "Bricks": ["assembly:/_pro/scenes/missions/marrakesh/difficulty_easy_marrakesh_spider.brick", "assembly:/_pro/scenes/missions/marrakesh/gamechanger_cyasafe_01.brick"]
                }, {
                    "Difficulty": "normal",
                    "Bricks": ["assembly:/_pro/scenes/missions/marrakesh/gamechangers_Protesters_Military_Presence.brick", "assembly:/_pro/scenes/missions/marrakesh/gamechanger_cyasafe_01.brick"]
                }, {
                    "Difficulty": "hard",
                    "Bricks": ["assembly:/_PRO/Scenes/Missions/marrakesh/difficulty_pro1_marrakesh_spider.brick", "assembly:/_pro/scenes/missions/marrakesh/gamechangers_Protesters_Military_Presence.brick", "assembly:/_pro/scenes/missions/marrakesh/gamechanger_cyasafe_02.brick"]
                }
            ],
            "Bricks": ["assembly:/_pro/scenes/missions/marrakesh/gamechanger_wild_card_lupine.brick", "assembly:/_pro/scenes/missions/marrakesh/gamechanger_laptop_consulate02.brick"],
            "GameChangers": [],
            "Entrances": ["52598840-4d4d-46de-9446-5f9c64760105", "565614ab-213e-4277-8429-950267941d5e", "de8c6844-9d28-4cfc-a165-baa3373ae811", "6d84301a-5780-41db-8c6d-479b471c03bb"]
        },
        "Metadata": {
            "CreatorUserId": "7545ee96-063a-49b6-a1d9-9fc2656e565b",
            "TileImage": "images/ruddy/CYAM_tile.jpg",
            "Location": "LOCATION_MARRAKECH",
            "Description": "DESC_CYAM",
            "Title": "UI_CYAM",
            "CodeName_Hint": "Spider",
            "ScenePath": "assembly:/_PRO/Scenes/Missions/Marrakesh/_scene_spider.entity",
            "IsPublished": true,
            "Id": "00000000-0000-0000-0000-000000000399",
            "CreationTimestamp": "2014-04-04T09:41:26.43Z",
            "LastUpdate": "2015-05-21T13:59:48.457Z",
            "Type": "flashback",
            "Subtype": "flashback",
            "Release": "1.2.x",
            "Entitlements": ["H1_LEGACY_STANDARD"],
            "Opportunities": ["6063b035-c9a1-4716-b727-1fc2d6b7b2d4", "970d8f1a-51d7-444b-b702-b6dbdb18ce0d", "1e6f7cb5-ed86-44f5-8747-e29dd8bc851d", "d0748978-1dca-4789-b560-13825e91388d", "fc96fa9f-969d-4224-9d11-e407cc8eb52f", "99d7d44f-05f5-4619-a42e-0aa2faaf397e", "01033dcf-279b-4f72-8b27-300ce8e1b916", "80b6de08-1414-45f0-89ea-3024f0882049"]
        },
        "UserData": {}
    },
    {
        "Data": {
            "EnableSaving": true,
            "Objectives": [{
                    "Id": "6726232b-1926-4ed2-8b92-0e2c4bcd7384",
                    "Category": "primary",
                    "ObjectiveType": "setpiece",
                    "DisplayAsKillObjective": true,
                    "ForceShowOnLoadingScreen": true,
                    "IsHidden":true,
                    "BriefingName": "$($repository 2e1a30c5-b1e0-4984-b3f4-67f01f9ebfef).Name",
                    "Image": "images/ruddy/Malpractice_target.jpg",
                    "HUDTemplate": {
                        "display": "Eliminate Akira Nakamura"
                    },
                    "BriefingText": "Eliminate Akira Nakamura",
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "KilledActors": [],
                            "Targets": ["2e1a30c5-b1e0-4984-b3f4-67f01f9ebfef"]
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "2e1a30c5-b1e0-4984-b3f4-67f01f9ebfef"]
                                                },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    }
                }, {
                    "Id": "2828f753-d86a-41d3-9e12-54b0dc61bf00",
                    "Category": "primary",
                    "ForceShowOnLoadingScreen": true,
                    "ObjectiveType": "setpiece",
                    "IsHidden":true,
                    "Image": "images/contracts/gamechangers/Gamechanger_Hokkaido_SleepQuarters_BreakAndEnter.jpg",
                    "BriefingName": "$loc UI_GAMECHANGERS_HOKKAIDO_SAFE_SLEEP_QUARTERS_NAME",
                    "BriefingText": "$loc UI_CONTRACT_KOSUMOSU_OBJ_2",
                    "HUDTemplate": {
                        "display": "$loc UI_CONTRACT_KOSUMOSU_OBJ_2",
                        "iconType": 17
                    },
                    "Type": "statemachine",
                    "Definition": {
                        "Context": {
                            "Targets": ["e74dfd73-6051-4490-bfc2-401d4b54421a"]
                        },
                        "States": {
                            "Start": {
                                "ItemPickedUp": {
                                    "Condition": {
                                        "$eq": ["$Value.RepositoryId", "87d60de1-c050-48a1-ba43-9d2dbc052de0"]
                                    },
                                    "Transition": "Success"
                                }
                            }
                        }
                    }
                },  {
                    "Id": "2828f753-d86a-41d3-9e12-54b0dc61bf01",
                    "ForceShowOnLoadingScreen": true,
                    "Category": "secondary",
                    "ObjectiveType": "custom",
                    "Image": "images/ContractConditions/Condition_Killmethod_Shotgun.jpg",
                    "BriefingName": "$loc UI_GAMECHANGERS_GLOBAL_ELIMINATE_W_NON_SILENCED_BALLISTICS_NAME",
                    "BriefingText": "$loc UI_GAMECHANGERS_GLOBAL_ELIMINATE_W_NON_SILENCED_BALLISTICS_DESC",
                    "HUDTemplate": {
                        "display": "$loc UI_GAMECHANGERS_GLOBAL_ELIMINATE_W_NON_SILENCED_BALLISTICS_DESC",
                        "iconType": 17
                    },
                    "Type": "statemachine",
                    "Definition": {
                        "Scope": "session",
                        "States": {
                            "Start": {
                                "Kill": [{
                                        "Condition": {
                                            "$and": [{
                                                    "$eq": ["$Value.RepositoryId", "2e1a30c5-b1e0-4984-b3f4-67f01f9ebfef"]
                                                }, {
                                                    "$eq": ["$Value.KillClass", "ballistic"]
                                                }, {
                                                    "$eq": ["$Value.WeaponSilenced", false]
                                                }
                                            ]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Condition": {
                                            "$eq": ["$Value.RepositoryId", "2e1a30c5-b1e0-4984-b3f4-67f01f9ebfef"]
                                        },
                                        "Transition": "Failure"
                                    }
                                ]
                            }
                        }
                    }
                }
            ],
            "GameDifficulties": [{
                "Difficulty": "easy",
                "Bricks": []
            }, {
                "Difficulty": "normal",
                "Bricks": []
            }, {
                "Difficulty": "hard",
                "Bricks": ["assembly:/_pro/scenes/missions/hokkaido/gamechanger_snowcrane_cameras.brick"]
            }
        ],
            "Bricks": ["assembly:/_PRO/Scenes/Missions/Hokkaido/contractcreation_flu.brick", "assembly:/_pro/scenes/missions/hokkaido/gamechanger_snowcrane_safe_sleeping_quarters.brick", "assembly:/_pro/scenes/missions/hokkaido/gamechanger_snowcrane_wildcard_kosumosu.brick", "assembly:/_pro/scenes/missions/hokkaido/gamechanger_snowcrane_wild_card_sakura.brick"],
            "DevOnlyBricks": [],
            "Entrances": ["8faca318-7c93-4abd-9ee3-f3c0c1577d77", "fedf6cd3-d076-4037-b7d8-1449726b4c0a", "74b1ad25-06cd-41a2-9cf5-9dd5dac7345d", "df752dfa-623d-4750-83a6-8b4aba1d8e08"],
            "GameChangers": [],
            "GameChangerReferences": []
        },
        "Metadata": {
            "Id": "a1befcec-7799-4987-9215-6a152cb6a321",
            "IsPublished": true,
            "Title": "2000_opportunity_malpractice_title",
            "Description": "DESC_MAL",
            "CodeName_Hint": "The Administrator",
            "ScenePath": "assembly:/_PRO/Scenes/Missions/Hokkaido/_scene_flu.entity",
            "TileImage": "images/ruddy/malpractice.jpg",
            "Location": "LOCATION_HOKKAIDO_FLU",
            "LastUpdate": "2015-03-10T12:00:00.441Z",
            "CreationTimestamp": "2012-12-12T12:12:12.743Z",
            "CreatorUserId": "00000000-0000-0000-0000-000000000000",
            "Type": "flashback",
            "Subtype": "specialassignment",
            "Release": "1.13.x",
            "RequiredUnlockable": "ACCESS_HIT_FLU",
            "Entitlements": ["H1_LEGACY_STANDARD"]
        },
        "UserData": {}
    },
    {
        "Metadata": {
            "Id": "169563a4-727a-4072-b354-c9fff4e8bff1",
            "CodeName_Hint": "Anaconda",
            "Release": "2.40.0",
            "Type": "featured",
            "Title": "Target Run",
            "Description": "Want to play Ghost Mode solo? \r\rWell you can't, but this will be the next closest thing. \r\rThere are a giant range of targets around the map for you to choose from, all you have to do is kill enough and certain ways to reach 50 points. The points legend is in the objective card. You will start with fibre wire and ghost coins. \r\rThere will also be one random Ghost Mode target each time you play this mission, no matter what your points are, you must eliminate them before you're allowed to exit.",
            "ScenePath": "assembly:/_pro/scenes/missions/colombia/scene_anaconda.entity",
            "TileImage": "images/ruddy/TargetRunSF.jpg",
            "Location": "LOCATION_COLOMBIA_ANACONDA",
            "IsPublished": true,
            "LastUpdate": "2015-03-10T12:00:00.441Z",
            "CreationTimestamp": "2012-12-12T12:12:12.743Z",
            "Entitlements": ["H2_LEGACY_STANDARD"],
            "CreatorUserId": "00000000-0000-0000-0000-000000000000"
        },
        "Data": {
            "EnableSaving": false,
            "Entrances": [],
            "GameDifficulties": [{
                    "Difficulty": "easy",
                    "Bricks": ["assembly:/_pro/scenes/missions/colombia/difficulty_easy_columbia_anaconda.brick"]
                }, {
                    "Difficulty": "normal",
                    "Bricks": []
                }, {
                    "Difficulty": "hard",
                    "Bricks": ["assembly:/_pro/scenes/missions/colombia/difficulty_hard_columbia_anaconda.brick"]
                }
            ],
            "Bricks": ["assembly:/_pro/scenes/missions/colombia/versus_items_colombia.brick",
                        "assembly:/_pro/scenes/missions/colombia/versus_targets_colombia.brick", "assembly:/_pro/scenes/missions/colombia/gamechanger_hippo_zinnia.brick", "assembly:/_PRO/Scenes/Missions/Colombia/gamechanger_hippo_interrogator_adjustedloop.brick", "assembly:/_PRO/Scenes/Missions/Colombia/gamechanger_hippo_holly.brick"],
            "DevOnlyBricks": [],
            "GameChangers": [],
            "Objectives": [{
                                    "Id": "ce646650-60e6-4e86-a4bf-c86ec266e35a",
                                    "ObjectiveType": "custom",
                                    "OnActive": {
                                        "IfCompleted": {
                                            "Visible": true
                                        }
                                    },
                                    "Image": "images/contracts/AssRace/AssRaceTarget.jpg",
                                    "BriefingName": "Eliminate VIP",
                                    "BriefingText": "Eliminate the VIP",
                                    "Category": "primary",
                                    "HUDTemplate": {
                                        "display": "Eliminate the VIP"
                                    },
                                    "Type": "statemachine",
                                    "Definition": {
                                        "ContextListeners": {
                                            "CooldownActive": {
                                                "type": "custom",
                                                "HUDTemplate": {
                                                    "display": {
                                                        "$loc": {
                                                            "key": "UI_CONTRACT_VS_RACE_TARGET_INCOMING_OBJ",
                                                            "data": []
                                                        }
                                                    }
                                                }
                                            }
                                        },
                                        "Context": {
                                            "KilledActors": [],
                                            "Targets": [],
                                            "Ghost": [],
                                            "CooldownActive": 1,
                                            "CooldownInActive": 1
                                        },
                                        "States": {
                                            "Start": {
                                                "TargetPickedConfirm": [{
                                                        "Actions": [{
                                                                "$reset": "Targets"
                                                            }, {
                                                                "$pushunique": ["Ghost", "$Value.RepositoryId"]
                                                            }, {
                                                                "$pushunique": ["Targets", "$Value.RepositoryId"]
                                                            }
                                                        ],
                                                        "Transition": "TargetPicked"
                                                    }
                                                ]
                                            },
                                            "TargetPicked": {
                                                "TimerExpirationStart": [{
                                                        "Actions": {
                                                            "$dec": "CooldownActive"
                                                        },
                                                        "Transition": "CooldownRunning"
                                                    }
                                                ],
                                                "TimerExpirationEnd": [{
                                                        "Actions": {
                                                            "$dec": "CooldownActive"
                                                        }
                                                    }
                                                ],
                                                "TargetPickedConfirm": [{
                                                        "Actions": [{
                                                                "$reset": "Targets"
                                                            }, {
                                                                "$pushunique": ["Targets", "$Value.RepositoryId"]
                                                            }
                                                        ]
                                                    }
                                                ],
                                                "Kill": [{
                                                "Actions": {
                                                    "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                                    }
                                                },	{
                                                "Condition": {
                                                        "$all": {
                                                            "in": "$.Ghost",
                                                                "?": {
                                                                    "$any": {
                                                                        "in": "$.KilledActors",
                                                                        "?": {
                                                                        "$eq": ["$.#", "$.##"]
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    },
                                                    "Transition": "Success"
                                                }
                                            ]
                                        },
                                            "CooldownRunning": {
                                                "$timer": [{
                                                        "Condition": {
                                                            "$after": 10
                                                        },
                                                        "Actions": {
                                                            "$dec": "CooldownInActive"
                                                        },
                                                        "Transition": "Start"
                                                    }
                                                ],
                                                "TimerExpirationEnd": [{
                                                        "Actions": {
                                                            "$dec": "CooldownInActive"
                                                        }
                                                    }
                                                ],
                                                "TargetPickedConfirm": [{
                                                        "Actions": [{
                                                                "$reset": "Targets"
                                                            }, {
                                                                "$pushunique": ["Ghost", "$Value.RepositoryId"]
                                                            }
                                                        ]
                                                    }
                                                ]
                                            }
                                        }
                                    }
                                },	{
                    "Id": "3512725f-619b-4bfa-a08a-9077dfbedb1e0",
                    "Category": "primary",
                    "ForceShowOnLoadingScreen": true,
                    "ObjectiveType": "custom",
                    "CounterVisibleInTile": false,
                    "UpdateActivationWhileCompleted": true,
                    "Image": "images/contracts/gamechangers/Gamechanger_Global_KillStreak.jpg",
                    "BriefingName": "Score",
                    "BriefingText": "Reach 50 points \n\n Unnoticed Kill = 5 Points \nHeadshot +3 \rAccident/Environmental +5 \rFibrewire +6 \rAny Body Found -3",
                    "HUDTemplate": {
                        "display": "Reach 50 points",
                        "iconType": 13
                    },
                    "Type": "statemachine",
                    "Scope": "session",
                    "CombinedDisplayInHud": true,
                    "Definition": {
                        "ContextListeners": {
                            "AmountToPacify": {
                                "type": "objective-counter",
                                "header": "Score",
                                "deactivate": 0
                            },
                            "ForceUpdateCounters": {
                                "type": "force-update",
                                "target": "AmountToPacify"
                            }
                        },
                        "Context": {
                            "AmountToPacify": 0,
                            "FoundBodies" : [],
                            "KilledActors" : [],
                            "Targets" : ["ec1aeec8-650a-4aa5-ba75-8eb68b093cb4", "84357e37-a22f-49c9-b5a8-462a4c10af7d", "4aa86cdf-31d7-42ec-8c5f-74d66e8b8836", "d31a723a-f0a6-4b10-8bac-7ab496a7f095", "0e183a8e-dbcc-4d1d-bb02-550aac4c0726", "82444695-5392-4962-b574-8df27ce315e8", "0033731a-32cf-4823-8d08-ac4661f86179", "d053cd33-fc36-4812-a4ca-98062be4748e", "cdef527b-e581-49c4-82d5-5b5c0bc7441b", "671746f4-eecd-417d-b0cd-1ad49e88f0c2", "f0513b06-9684-4252-921e-cf1fca7c86f0", "28595162-719b-4659-b42d-e90d1a387c65", "d815e86a-bf87-419f-9edc-beee3483d434", "763be829-6ab2-4293-82ec-59826c07e4d7", "e78c9fc2-4c96-48d2-be4c-a97933beca85", "60e45cb3-49b4-4cc8-99e6-00d6e4d4a0cd", "5562b1ba-d12e-428d-886e-bc9f2c80c2f2"]
                        },
                        "States": {
                            "Start": {
                                "Kill": [{
                                    "Condition": {
                                            "$eq": ["$Value.IsTarget", true]
                                        },
                                    "Actions": [{
                                        "$inc": ["AmountToPacify", 5]
                                    }, {
                                        "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                    }
                                ]
                                }, {
                                    "Condition": {
                                        "$and": [{
                                            "$eq": ["$Value.IsTarget", true]
                                        }, {
                                        "$eq": ["$Value.IsHeadshot", true]
                                        }
                                        ]
                                    },
                                    "Actions": {
                                        "$inc": ["AmountToPacify", 3]
                                    }
                                }, {
                                    "Condition": {
                                        "$and": [{
                                            "$eq": ["$Value.IsTarget", true]
                                            }, {
                                            "$eq": ["$Value.Accident", true]
                                            }
                                        ]
                                    },
                                    "Actions": {
                                        "$inc": ["AmountToPacify", 5]
                                    }
                                }, {
                                    "Condition": {
                                        "$and": [{
                                            "$eq": ["$Value.IsTarget", true]
                                            }, {
                                            "$eq": ["$Value.KillItemCategory", "fiberwire"]
                                            }
                                        ]
                                    },
                                    "Actions": {
                                        "$inc": ["AmountToPacify", 6]
                                    }
                                },	{
                                        "Condition": {
                                            "$gt": ["$.AmountToPacify", 49.5]
                                        },
                                        "Actions": {
                                            "$set": ["AmountToPacify", 0]
                                        },
                                        "Transition": "Success"
                                },	{
                                    "Condition": {
                                        "$and": [{
                                            "$all": {
                                            "in": "$.Targets",
                                                "?": {
                                                    "$any": {
                                                        "in": "$.KilledActors",
                                                        "?": {
                                                        "$eq": ["$.#", "$.##"]
                                                        }
                                                    }
                                                }
                                            }
                                        },	{
                                            "$lt": ["$.AmountToPacify", 50]
                                        }
                                    ]
                                },
                                "Transition": "Failure"
                                }
                            ],
                            "BodyFound": [{
                                        "Actions": {
                                        "$pushunique": ["FoundBodies", "$Value.RepositoryId"],
                                        "$dec": ["AmountToPacify", 3]
                                        },
                                        "Condition": {
                                            "$and": [{
                                            "$not": {
                                                    "$inarray": {
                                                        "in": "$.FoundBodies",
                                                        "?": {
                                                            "$eq": ["$.#", "$Value.RepositoryId"]
                                                        }
                                                    }
                                                }
                                            }
                                        ]
                                    }
                                }
                            ]
                        },
                            "CheckCount": {
                                "-": [{
                                        "Condition": {
                                            "$gt": ["$.AmountToPacify", 49.5]
                                        },
                                        "Actions": {
                                            "$set": ["AmountToPacify", 0]
                                        },
                                        "Transition": "Success"
                                    }, {
                                        "Transition": "Start"
                                }
                            ]
                        }
                    }
                }
            }
        ],
        "MandatoryLoadout": [{
                    "Id": "PumpkinMan",
                    "Properties": {
                        "LoadoutSlot": "disguise",
                        "RepositoryId": "ebf1e362-671f-47e8-8c88-dd490d8ad866"
                    }
                },	{
                    "Id": "Melee_FiberWire_Descriptor",
                    "Properties": {
                        "LoadoutSlot": "gear",
                        "RepositoryId": "1a11a060-358c-4054-98ec-d3491af1d7c6"
                    }
                }, {
                    "Id": "Tool_Coin",
                    "Properties": {
                        "LoadoutSlot": "gear",
                        "RepositoryId": "e6fb31e2-218e-40ff-a4ec-43a79604cfd7"
                    }
                }, {
                    "Id": "Tool_Coin",
                    "Properties": {
                        "LoadoutSlot": "gear",
                        "RepositoryId": "e6fb31e2-218e-40ff-a4ec-43a79604cfd7"
                    }
                }, {
                    "Id": "Tool_Coin",
                    "Properties": {
                        "LoadoutSlot": "gear",
                        "RepositoryId": "e6fb31e2-218e-40ff-a4ec-43a79604cfd7"
                    }
                }
            ]
        },
        "UserData": {}
    },
    {
        "Data": {
            "Objectives": [{
                "Id": "1458ae75-5315-4921-a9fd-21a146224f61",
                "Category": "primary",
                "ObjectiveType": "custom",
                "Image": "images/ruddy/TimeTrialNY_Card.jpg",
                "BriefingName": "$loc UI_CONTRACT_HELLEBORE_RETRIEVE_SNIPER_NAME",
                "BriefingText": "Retrieve the CEO keycard from top floor",
                "HUDTemplate": {
                    "display": "Retrieve the CEO keycard from top floor",
					"icontype": 17
                },
                "Type": "statemachine",
                "Definition": {
                    "Context": {
                        "Targets": ["1d39ca01-761f-45ca-a10f-856c75cb7b47"]
                    },
                    "States": {
                        "Start": {
                            "ItemPickedUp": {
                                "Condition": {
                                    "$eq": ["$Value.RepositoryId", "1d39ca01-761f-45ca-a10f-856c75cb7b47"]
                                },
                                "Transition": "Success"
                            }
                        }
                    }
                }
            }, {
                    "Type": "statemachine",
                    "Id": "05080d1d-e3c4-4960-a087-661d141363eb",
                    "ObjectiveType": "custom",
                    "Category": "primary",
                    "Exits": ["c44664bd-de96-408b-b150-403ffa3f2ca0"],
                    "BriefingName": "$loc UI_CONTRACT_UGC_REQUIRED_EXIT_NAME",
                    "BriefingText": "Escape via the CEO exit",
                    "LongBriefingText": "$loc UI_CONTRACT_UGC_REQUIRED_EXIT_DESC",
                    "HUDTemplate": {
                        "display": "Escape via the CEO Exit"
                    },
                    "Image": "images/challenges/Greedy/greedy_lockeddoor_exit.jpg",
                    "ShowInHud": false,
                    "ExcludeFromScoring": true,
                    "Definition": {
                        "Scope": "session",
                        "Context": {
                            "Exited": false,
                            "LastItemDroppedTime": 0.0,
                            "LastKillTime": 0.0
                        },
                        "States": {
                            "Start": {
                                "-": [{
                                        "Transition": "Success"
                                    }
                                ]
                            },
                            "Success": {
                                "exit_gate": [{
                                        "Actions": {
                                            "$set": ["Exited", true]
                                        }
                                    }
                                ],
                                "TaxiDriverDistracted": [{
                                        "Actions": {
                                            "$set": ["LastItemDroppedTime", "$Timestamp"]
                                        }
                                    }
                                ],
                                "Kill": [{
                                        "Actions": {
                                            "$set": ["LastKillTime", "$Timestamp"]
                                        }
                                    }
                                ],
                                "ItemDropped": [{
                                        "Actions": {
                                            "$set": ["LastItemDroppedTime", "$Timestamp"]
                                        }
                                    }
                                ],
                                "ExitInventory": [{
                                        "Actions": {
                                            "$set": ["LastItemDroppedTime", "$Timestamp"]
                                        }
                                    }
                                ],
                                "ItemRemovedFromInventory": [{
                                        "Actions": {
                                            "$set": ["LastItemDroppedTime", "$Timestamp"]
                                        }
                                    }
                                ],
                                "ItemThrown": [{
                                        "Actions": {
                                            "$set": ["LastItemDroppedTime", "$Timestamp"]
                                        }
                                    }
                                ],
                                "ExitDisabled": [{
                                        "Condition": {
                                            "$or": [{
                                                    "$and": [{
                                                            "$eq": ["$Value", "c44664bd-de96-408b-b150-403ffa3f2ca0"]
                                                        }, {
                                                            "$eq": ["$.Exited", false]
                                                        }, {
                                                            "$not": {
                                                                "$eq": ["$.LastItemDroppedTime", "$Timestamp"]
                                                            }
                                                        }
                                                    ]
                                                }, {
                                                    "$eq": ["$.LastKillTime", "$Timestamp"]
                                                }
                                            ]
                                        },
                                        "Transition": "Failure"
                                    }
                                ]
                            }
                        }
                    }
                },	{
                    "Type": "statemachine",
                    "Id": "1a596216-381e-4592-9798-26f156973942",
                    "ObjectiveType": "custom",
                    "Category": "primary",
                    "BriefingName": "$loc UI_CONTRACT_UGC_TIME_LIMIT_NAME",
                    "BriefingText": {
                        "$loc": {
                            "key": "UI_CONTRACT_UGC_TIME_LIMIT_SECONDARY_DESC",
                            "data": "$formatstring 02:20"
                        }
                    },
                    "LongBriefingText": {
                        "$loc": {
                            "key": "UI_CONTRACT_UGC_TIME_LIMIT_SECONDARY_DESC",
                            "data": "$formatstring 02:20"
                        }
                    },
                    "HUDTemplate": {
                        "display": {
                            "$loc": {
                                "key": "UI_CONTRACT_UGC_TIME_LIMIT_SECONDARY_DESC",
                                "data": "$formatstring 02:20"
                            }
                        }
                    },
                    "Image": "images/contractconditions/condition_contrac_time_limit.jpg",
                    "OnActive": {
                        "IfInProgress": {
                            "State": "Completed"
                        }
                    },
                    "CombinedDisplayInHud": true,
                    "Definition": {
                        "Scope": "session",
                        "States": {
                            "Start": {
                                "IntroCutEnd": [{
                                        "Transition": "TimerRunning"
                                    }
                                ]
                            },
                            "TimerRunning": {
                                "exit_gate": [{
                                        "Transition": "Success"
                                    }
                                ],
                                "$timer": [{
                                        "Condition": {
                                            "$after": 140.315369
                                        },
                                        "Transition": "Failure"
                                    }
                                ]
                            }
                        }
                    }
                }
            ],
			"GameDifficulties": [{
                "Difficulty": "easy",
                "Bricks": ["assembly:/_pro/scenes/missions/Greedy/mission_raccoon/difficulty_easy_raccoon.brick"]
            }, {
                "Difficulty": "normal",
                "Bricks": []
            }, {
                "Difficulty": "hard",
                "Bricks": ["assembly:/_pro/scenes/missions/Greedy/mission_raccoon/difficulty_hard_raccoon.brick"]
            }
			],
			"SimulationQualities": [{
                "Quality": "better",
                "Bricks": ["assembly:/_pro/scenes/missions/Greedy/mission_raccoon/intel_6core_racoon.brick"]
            }, {
                "Quality": "best",
                "Bricks": ["assembly:/_pro/scenes/missions/Greedy/mission_raccoon/intel_8core_racoon.brick"]
            }
			],
            "GameChangers": [],
            "Bricks": ["assembly:/_pro/scenes/missions/Greedy/mission_raccoon/dandelion_raccoon.brick"],
			"Entrances": ["087cc56d-6317-4ce1-8f6a-bc2798ee4f3a"],
            "EnableSaving": false
        },
        "Metadata": {
            "Title": "Time Trial: New York",
            "Description": "In this trial you must make it from the front entrance to the secret CEO passage before the timer runs out! \r\rBronze = 2:20 SA \nSilver = 2:05 SA \nGold = 1:50 SA \r\rGood luck \r\rThis contract was created by a member of the HITMAN community known as Kevin Rudd",
            "ScenePath": "assembly:/_pro/scenes/missions/Greedy/mission_raccoon/scene_raccoon_basic.entity",
            "Location": "LOCATION_GREEDY_RACCOON",
            "IsPublished": true,
            "CreatorUserId": "3f14636b-8eac-4b5e-8b98-4cb1f823883a",
            "GameVersion": "7.14.0.0",
            "ServerVersion": "7.14.34.0",
            "Type": "featured",
            "Id": "7b03a97d-238c-48bd-bda0-e5f279569ccf",
            "TileImage": "images/ruddy/TimeTrialNY.jpg",
			"Entitlements": ["H2_LEGACY_EXPANSION"],
            "CreationTimestamp": "2019-09-22T05:34:05.0933333Z"
        },
        "UserData": {}
    },
    {
        "Data": {
            "Objectives": [{
                    "Id": "b8ffc636-4f9a-49b5-8293-98839a6ca202",
                    "ObjectiveType": "custom",
                    "Image": "images/contracts/whitespider/004_flu/Eliminate_Infected_Obj.jpg",
                    "BriefingName": "Spread Infection",
                    "BriefingText": "Infect 50 people with the virus",
                    "Category": "primary",
                    "ForceShowOnLoadingScreen": true,
                    "UpdateActivationWhileCompleted": true,
                    "HUDTemplate": {
                        "display": "Infect 50 people with the virus",
                        "iconType": 19
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true,
                            "State": "Completed"
                        }
                    },
                    "Type": "statemachine",
                    "Definition": {
                        "ContextListeners": {
                            "TargetsCounter": {
                                "type": "objective-counter",
                                "header": "UI_CONTRACT_FLU_ELIMINATE_INFECTED_COUNT_HEAD",
                                "deactivate": -1
                            }
                        },
                        "Context": {
                            "KilledActors": [],
                            "Targets": [],
                            "TargetsCounter": 0
                        },
                        "States": {
                            "Start": {
                                "TargetPicked": [{
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        },
                                        "Transition": "TargetPicked"
                                    }
                                ]
                            },
                            "TargetPicked": {
                                "TargetPicked": [{
                                        "Condition": {
                                            "$not": {
                                                "$eq": ["3798fcf3-4e33-40db-a8a2-c160a3ec55bf", "01822ba2-7b3b-4bbd-a9f3-cf8006ba945a"]
                                            }
                                        },
                                        "Actions": {
                                            "$inc": "TargetsCounter"
                                        }
                                    }, {
                                        "Condition": {
                                            "$eq": ["$.TargetsCounter", 50]
                                        },
                                        "Actions": {
                                            "$set": ["TargetsCounter", -1]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "Kill": [{
                                        "Actions": {
                                            "$pushunique": ["KilledActors", "$Value.RepositoryId"]
                                        }
                                    }, {
                                        "Actions": {
                                            "$dec": "TargetsCounter"
                                        },
                                        "Condition": {
                                            "$inarray": {
                                                "in": "$.Targets",
                                                "?": {
                                                    "$eq": ["$.#", "$Value.RepositoryId"]
                                                }
                                            }
                                        }
                                    }
                                ],
                                "ContractLoad": [{
                                        "Actions": {
                                            "$set": ["TargetsCounter", "$.TargetsCounter"]
                                        }
                                    }
                                ]
                            }
                        }
                    }
                },  {
                    "Type": "statemachine",
                    "Id": "1a596216-381e-4592-9798-26f156973942",
                    "ObjectiveType": "custom",
                    "Category": "primary",
                    "BriefingName": "$loc UI_CONTRACT_UGC_TIME_LIMIT_NAME",
                    "BriefingText": {
                        "$loc": {
                            "key": "UI_CONTRACT_UGC_TIME_LIMIT_SECONDARY_DESC",
                            "data": "$formatstring 02:30"
                        }
                    },
                    "LongBriefingText": {
                        "$loc": {
                            "key": "UI_CONTRACT_UGC_TIME_LIMIT_SECONDARY_DESC",
                            "data": "$formatstring 02:30"
                        }
                    },
                    "HUDTemplate": {
                        "display": {
                            "$loc": {
                                "key": "UI_CONTRACT_UGC_TIME_LIMIT_SECONDARY_DESC",
                                "data": "$formatstring 02:30"
                            }
                        }
                    },
                    "Image": "images/contractconditions/condition_contrac_time_limit.jpg",
                    "OnActive": {
                        "IfInProgress": {
                            "State": "Completed"
                        }
                    },
                    "CombinedDisplayInHud": true,
                    "Definition": {
                        "Scope": "session",
                        "States": {
                            "Start": {
                                "IntroCutEnd": [{
                                        "Transition": "TimerRunning"
                                    }
                                ]
                            },
                            "TimerRunning": {
                                "exit_gate": [{
                                        "Transition": "Success"
                                    }
                                ],
                                "$timer": [{
                                        "Condition": {
                                            "$after": 150.751
                                        },
                                        "Transition": "Failure"
                                    }
                                ]
                            }
                        }
                    }
                }, 	{
                    "Id": "d4f5c7da-073b-4ab7-9471-5cad3ac060bf",
                    "Category": "secondary",
                    "Scope": "session",
                    "Type": "statemachine",
                    "OnActive": {
                        "IfFailed": {
                            "Visible": false
                        },
                        "IfCompleted": {
                            "Visible": false
                        }
                    },
                    "Definition": {
                        "States": {
                            "Start": {
                                "SecuritySystemRecorder": [{
                                        "Condition": {
                                            "$eq": ["$Value.event", "spotted"]
                                        },
                                        "Transition": "Success"
                                    }
                                ],
                                "Surveilance_HMRecorded": {
                                        "Transition": "Success"
                                }
                            }
                        }
                    }
                },	{
                    "ObjectiveType": "custom",
                    "IgnoreIfInactive": true,
                    "UpdateActivationWhileCompleted": true,
                    "Type": "statemachine",
                    "Id": "142da629-8b7b-4338-b8f5-e95462c30207",
                    "Image": "images/contracts/gamechangers/gamechanger_global_bigbrother.jpg",
                    "Activation": {
                        "$eq": ["$d4f5c7da-073b-4ab7-9471-5cad3ac060bf", "Completed"]
                    },
                    "BriefingName": "No Recordings",
                    "BriefingText": "Destroy any recordings of you at the facility",
                    "HUDTemplate": {
                        "display": "Destroy camera recording",
                        "iconType": 17
                    },
                    "LongBriefingText": "There can be no visual evidence you were ever at the facility, destroy any footage of you stored on CCTV hard drives",
                    "Category": "primary",
                    "Definition": {
                        "Scope": "Session",
                        "Context": {
                            "Targets": ["e29d8ce5-64d6-4207-a55d-ebe5e84b16b3"]						
                        },
                        "States": {
                            "Start": {
                                "SecuritySystemRecorder": [{
                                        "Condition": {
                                            "$eq": ["$Value.event", "destroyed"]
                                        },
                                        "Transition": "Success"
                                    },	{
                                        "Condition": {
                                            "$eq": ["$Value.event", "erased"]
                                        },
                                        "Transition": "Success"
                                    }
                                ]
                            }
                        }
                    },
                    "OnInactive": {
                        "IfCompleted": {
                            "State": "Completed",
                            "Visible": false
                        }
                    },
                    "OnActive": {
                        "IfCompleted": {
                            "Visible": true
                        }
                    }
                }
            ],
            "GameDifficulties": [{
                    "Difficulty": "easy",
                    "Bricks": ["assembly:/_pro/scenes/missions/hokkaido/difficulty_easy_hokkaido_snowcrane.brick"]
                }, {
                    "Difficulty": "normal",
                    "Bricks": []
                }, {
                    "Difficulty": "hard",
                    "Bricks": ["assembly:/_pro/scenes/missions/hokkaido/difficulty_pro1_hokkaido_snowcrane.brick"]
                }
            ],
            "Bricks": ["assembly:/_pro/scenes/missions/hokkaido/gamechanger_snowcrane_tumbleweed.brick"],
            "Entrances": ["8faca318-7c93-4abd-9ee3-f3c0c1577d77", "fedf6cd3-d076-4037-b7d8-1449726b4c0a", "74b1ad25-06cd-41a2-9cf5-9dd5dac7345d", "df752dfa-623d-4750-83a6-8b4aba1d8e08"],
            "GameChangers": [],
            "EngineModesBricks": []
        },
        "Metadata": {
            "CodeName_Hint": "Coronavirus",
            "CreationTimestamp": "2012-12-12T12:12:12.743Z",
            "CreatorUserId": "00000000-0000-0000-0000-000000000000",
            "TileImage": "images/challenges/hokkaido/flu_no_rubber.jpg",
            "Title": "Covid 47",
            "Description": "In this challenge you must infect 50 people and destroy any camera recordings of you, all within 2:30. \r\rMade by Kevin Rudd",
            "Id": "a7036782-de0a-4353-b522-0ab7a384badf",
            "IsPublished": true,
            "LastUpdate": "2015-03-10T12:00:00.551Z",
            "Location": "LOCATION_HOKKAIDO_FLU",
            "Release": "2.0.x",
            "SpawnSelectionType": "random",
            "ScenePath": "assembly:/_PRO/Scenes/Missions/Hokkaido/_scene_flu.entity",
            "Type": "featured",
            "Entitlements": ["H1_LEGACY_STANDARD"]
        },
        "UserData": {}
    }
]

module.exports = function MissionPlugin(controller) {
    if (!controller.smf.modIsInstalled("KevinRudd.MissionPack")) {
        log(LogLevel.ERROR, "[Ruddy's Custom Mission Pack] Currently not deployed in SMF")
        return
    }

    controller.configManager.configs.Entrances["assembly:/_pro/scenes/missions/hokkaido/_scene_hawkesnipe.entity"] = [
        "237e7963-574a-48c8-8d8a-e415b30f5642",
        "78477425-7330-4092-ad71-6548e07ccc93",
        "40e5cc64-9aba-4f1a-9d37-a2e558e118b6"
    ]

    const RuddyCampaign = {
        Name: "UI_MENU_PAGE_HITS_ELEMENT_CATEGORY_MODDED",
        Image: "",
        Type: "campaign",
        BackgroundImage: "images/ui/boot/bg_welcome.jpg",
        StoryData: [],
    }

    // When campaigns are requested, do our edits
    controller.hooks.contributeCampaigns.tap("CustomMissions-Campaign", (campaigns, gsmFunc, gsvFunc, gameVersion) => {
        if (RuddyCampaign.StoryData.length == 0) {
            contracts.forEach((mission) =>
            RuddyCampaign.StoryData.push(gsmFunc(mission.Metadata.Id, gameVersion))
            )
        }

        // Add the campaign to the menu
        switch (gameVersion) {
            case "h3":
                campaigns.forEach((menu) => {
                    if (menu.Name === "UI_MENU_PAGE_SIDE_MISSIONS_TITLE") {
                        menu.Subgroups.push(RuddyCampaign)
                    }
                })
                break
        }
    })
    
    contracts.forEach((contract) => {
        controller.addMission(contract)
        controller.missionsInLocations[contract.Metadata.Location].push(contract.Metadata.Id)
    })

    log(LogLevel.INFO, "[Ruddy's Custom Mission Pack] Plugin successfully loaded. Missions available in destinations screens.")
}
